# $Revision: 1.441.2.2036.2.68 $, $Date: 2012/03/15 06:47:12 $
#
# TODO:
# - benchmark NO_HZ & HZ=1000 vs HZ=300 on i686
# - apparmor (needs testing)
# - add a subpackage (kernel-firmware?) for ~35 firmware files
#
# LATEST VERSION CHECKER:
# curl -s http://www.kernel.org/kdist/finger_banner | grep 2.6.27
#
# FUTURE:
# - update xen patch
# - pom-ng quake3-conntrack-nat -> nf_conntrack ?
# - pom-ng talk-conntrack-nat -> nf_conntrack ?
# - nf-hipac ?
# - pax hooks for selinux (experimental)
#
# Conditional build:
%bcond_without	source		# don't build kernel-source package
%bcond_without	pcmcia		# don't build pcmcia

%bcond_with	verbose		# verbose build (V=1)
%bcond_with	xen0		# added Xen0 support
%bcond_with	xenU		# added XenU support
%bcond_without	reiser4		# support for reiser4 fs (experimental)

%bcond_without	grsecurity	# don't build grsecurity nor pax at all
%bcond_without	grsec_minimal	# build only minimal subset (proc,link,fifo,shm)
%bcond_without	grsec_full	# build full grsecurity
%bcond_with	pax_full	# build pax and full grsecurity (ie. grsec_full && pax)
%bcond_with	pax		# build pax support

%bcond_with	fbcondecor	# build fbcondecor (disable FB_TILEBLITTING and affected fb modules)
%bcond_with	pae		# build PAE (HIGHMEM64G) support on uniprocessor
%bcond_with	nfsroot		# build with root on NFS support

%bcond_with	imq		# imq support
%bcond_without	wrr		# wrr support
%bcond_without	ipv6		# ipv6 support

%bcond_without	vserver		# support for VServer (enabled by default)
%bcond_without	tuxonice	# support for tuxonice (ex-suspend2) (enabled by default)
%bcond_without	apparmor	# build kernel with apparmor (exerimental mix)

%bcond_with	rescuecd	# build kernel for our rescue

%bcond_without	smp		# build uniprocessor instead of SMP kernel
%bcond_with	myown		# build with your own config (kernel-myown.config)

%{?debug:%define with_verbose 1}

%if %{without grsecurity}
%undefine	with_grsec_full
%undefine	with_grsec_minimal
%undefine	with_pax
%undefine	with_pax_full
%endif

%if %{with pax_full}
%undefine	with_grsec_minimal
%define		with_grsec_full		1
%define		with_grsecurity		1
%define		with_pax		1
%endif

%if %{with grsec_full}
%undefine	with_grsec_minimal
%define		with_grsecurity		1
%if %{with pax}
%define		with_pax_full		1
%endif
%endif

%if %{with grsec_minimal}
%undefine	with_grsec_full
%undefine	with_pax_full
%define		with_grsecurity		1
%endif

%define		have_drm	1
%define		have_oss	1
%define		have_sound	1

%if %{with rescuecd}
%undefine	with_apparmor
%undefine	with_tuxonice
%undefine	with_grsec_full
%undefine	with_grsec_minimal
%undefine	with_pax
%undefine	with_pax_full
%undefine	with_vserver
%define		have_drm	0
%define		have_sound	0
%endif

%ifarch %{ix86} alpha ppc
%define		have_isa	1
%else
%define		have_isa	0
%endif

%ifarch sparc sparc64
%undefine	with_pcmcia
%define		have_drm	0
%define		have_oss	0
%endif

%define		basever		2.6.27
%define		postver		.61
%define		rel			0.1

%define		_enable_debug_packages			0

%define		squashfs_version	3.4
%define		tuxonice_version	3.0-rc8
%define		netfilter_snap		20070806
%define		xen_version		3.0.2

%if %{without rescuecd}
%if "%{pld_release}" == "th"
%define		__alt_kernel	ltm%{?with_pax:pax}%{!?with_grsec_full:nogrsecurity}%{!?with_apparmor:noaa}%{?with_xen0:xen0}%{?with_xenU:xenU}%{?with_pae:pae}%{?with_myown:myown}
%else
%define		__alt_kernel	%{?with_pax:pax}%{!?with_grsec_full:nogrsecurity}%{!?with_apparmor:noaa}%{?with_xen0:xen0}%{?with_xenU:xenU}%{?with_pae:pae}%{?with_myown:myown}
%endif
%else
%define		__alt_kernel	rescuecd
%endif

%if "%{__alt_kernel}" != ""
%define		alt_kernel	%{__alt_kernel}
%endif

# kernel release (used in filesystem and eventually in uname -r)
# modules will be looked from /lib/modules/%{kernel_release}
# localversion is just that without version for "> localversion"
%define		localversion	%{rel}
%define		kernel_release	%{version}%{?alt_kernel:_%{alt_kernel}}-%{localversion}

Summary:	The Linux kernel (the core of the Linux operating system)
Summary(de.UTF-8):	Der Linux-Kernel (Kern des Linux-Betriebssystems)
Summary(et.UTF-8):	Linuxi kernel (ehk operatsioonisüsteemi tuum)
Summary(fr.UTF-8):	Le Kernel-Linux (La partie centrale du systeme)
Summary(pl.UTF-8):	Jądro Linuksa
Name:		kernel%{_alt_kernel}
Version:	%{basever}%{postver}
Release:	%{rel}
Epoch:		3
License:	GPL v2
Group:		Base/Kernel
Source0:	http://www.kernel.org/pub/linux/kernel/v2.6/linux-%{basever}.tar.bz2
# Source0-md5:	b3e78977aa79d3754cb7f8143d7ddabd
%if "%{postver}" != "%{nil}"
Source1:	http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v%{basever}/patch-%{version}.bz2
# Source1-md5:	410c150064d02bd298704c68ef0f0581
%endif

Source3:	kernel-autoconf.h
Source4:	kernel-config.h
Source5:	kernel-ppclibs.Makefile
Source6:	kernel-config.awk
Source7:	kernel-module-build.pl
Source8:	kernel-track-config-change.awk
# not used by kernel.spec, but it's good to have it in SOURCES
Source9:	kernel-config-sort.pl

Source20:	kernel-multiarch.config
Source21:	kernel-x86.config
Source22:	kernel-sparc.config
Source23:	kernel-sparc64.config
Source24:	kernel-alpha.config
Source25:	kernel-powerpc.config
Source26:	kernel-ia64.config

Source40:	kernel-netfilter.config
Source41:	kernel-patches.config
Source42:	kernel-tuxonice.config
Source43:	kernel-vserver.config
Source45:	kernel-grsec.config
Source46:	kernel-xen0.config
Source47:	kernel-xenU.config

Source49:	kernel-pax.config
Source50:	kernel-no-pax.config
Source51:	kernel-grsec_minimal.config
Source55:	kernel-imq.config
Source56:	kernel-reiser4.config
Source57:	kernel-wrr.config

Source58:	kernel-inittmpfs.config
Source59:	kernel-bzip2-lzma.config

# tahoe9xx http://www.tahoe.pl/drivers/tahoe9xx-2.6.24.patch
Patch2:		tahoe9xx-2.6.24.patch

# http://dev.gentoo.org/~spock/projects/fbcondecor/archive/fbcondecor-0.9.4-2.6.25-rc6.patch
Patch3:		kernel-fbcondecor.patch
Patch4:		linux-fbcon-margins.patch

# http://mesh.dl.sourceforge.net/sourceforge/squashfs/squashfs3.4.tgz
# squashfs3.4/kernel-patches/linux-2.6.27-rc4/squashfs3.4-patch
Patch5:		kernel-squashfs.patch
Patch6:		linux-static-dev.patch

# netfilter related stuff mostly based on patch-o-matic-ng
# snapshot 20061213 with some fixes related to changes in
# netfilter api in 2.6.19 up to 2.6.22. Some modules
# were ported to nf_conntrack. Some of these are unique.

Patch10:	kernel-pom-ng-IPV4OPTSSTRIP.patch
Patch11:	kernel-pom-ng-ipv4options.patch

Patch14:	kernel-pom-ng-ROUTE.patch
Patch16:	kernel-pom-ng-mms-conntrack-nat.patch
Patch22:	kernel-pom-ng-rsh.patch
Patch23:	kernel-pom-ng-rpc.patch

# based on http://mike.it-loops.com/rtsp/rtsp-2.6.26.patch
Patch36:	kernel-nf_rtsp.patch

# http://ftp.linux-vserver.org/pub/people/dhozac/p/k/delta-owner-xid-feat02.diff
Patch37:	kernel-owner-xid.patch

# based on http://www.svn.barbara.eu.org/ipt_account/attachment/wiki/Software/ipt_account-0.1.21-20070804164729.tar.gz?format=raw
Patch38:	kernel-ipt_account.patch

# based on http://www.intra2net.com/de/produkte/opensource/ipt_account/pom-ng-ipt_ACCOUNT-1.12.tgz
Patch39:	kernel-ipt_ACCOUNT.patch

# based on kernel-2.6.25-layer7-2.20.patch from
# http://switch.dl.sourceforge.net/sourceforge/l7-filter/netfilter-layer7-v2.20.tar.gz
Patch40:	kernel-layer7.patch

# http://www.ssi.bg/~ja/nfct/ipvs-nfct-2.6.27-1.diff
Patch41:	kernel-ipvs-nfct.patch

# based on http://www.balabit.com/downloads/files/tproxy/tproxy-kernel-2.6.25-20080509-164605-1210344365.tar.bz2
#FIXME: this patch needs net_device->nd_dev feature (see net/Kconfig:NET_NS).
#       NET_NS depends on EXPERIMENTAL && !SYSFS && NAMESPACES while we have SYSFS enabled.
#       the https://lists.linux-foundation.org/pipermail/containers/2007-December/008849.html is waiting for merge.
#Patch42:	kernel-tproxy.patch

### End netfilter

# http://zph.bratcheda.org/linux-2.6.26.3-zph.patch
Patch49:	kernel-zph.patch

# based on http://www.linuximq.net/patchs/linux-2.6.24-imq.diff
# some people report problems when using imq with wrr.
# try unoficial version: http://kapturkiewicz.name/linux-2.6.25-imq1.diff
Patch50:	kernel-imq.patch

# http://www.kernel.org/pub/linux/kernel/people/edward/reiser4/reiser4-for-2.6/reiser4-for-2.6.27.patch.bz2
Patch51:	kernel-reiser4.patch

# http://www.zz9.dk/patches/wrr-linux-071203-2.6.25.patch.gz
Patch52:	kernel-wrr.patch

# http://fatooh.org/esfq-2.6/sfq-2.6.24.1.tar.bz2
Patch53:	esfq-kernel.patch

# http://memebeam.org/free-software/toshiba_acpi/toshiba_acpi-dev_toshiba_test5-linux_2.6.26.patch
Patch54:	linux-2.6-toshiba_acpi.patch

# by Baggins request:
# derived from ftp://ftp.cmf.nrl.navy.mil/pub/chas/linux-atm/vbr/vbr-kernel-diffs
Patch55:	linux-2.6-atm-vbr.patch
Patch56:	linux-2.6-atmdd.patch

# http://www.ntop.org/PF_RING.html 20070610
Patch58:	linux-PF_RING.patch

# http://synce.svn.sourceforge.net/svnroot/synce/trunk/patches/linux-2.6.22-rndis_host-wm5.patch
Patch59:	kernel-rndis_host-wm5.patch

Patch61:	kernel-vesa-upstream.patch

# Project suspend2 renamed to tuxonice
# http://www.tuxonice.net/downloads/all/tuxonice-3.0-rc8-for-2.6.27.patch.bz2
Patch69:	linux-2.6-suspend2.patch
Patch70:	kernel-suspend2-headers.patch

# adds some ids for hostap suported cards and monitor_enable from/for aircrack-ng
# http://patches.aircrack-ng.org/hostap-kernel-2.6.18.patch
Patch85:	hostap-kernel-2.6.18.patch

# Taken from http://download.opensuse.org/factory/repo/src-oss/suse/src/kernel-source-2.6.27.7-3.1.src.rpm
Patch90:	kernel-mpt-fusion.patch

Patch95:	kernel-touchpad.patch

# http://vserver.13thfloor.at/Experimental/patch-2.6.27.52-vs2.3.0.36.9.diff
Patch100:	linux-2.6-vs2.3.patch
Patch101:	kernel-vserver-fixes.patch

# from http://www.cl.cam.ac.uk/Research/SRG/netos/xen/downloads/xen-3.0.2-src.tgz
#Patch120: xen-3.0-2.6.16.patch

# Wake-On-Lan fix for nForce drivers; using http://atlas.et.tudelft.nl/verwei90/nforce2/wol.html
# Fix verified for that kernel version.
Patch130:	linux-2.6-forcedeth-WON.patch

# add tty ioctl to figure physical device of the console. used by showconsole.spec (blogd)
Patch131:	kernel-TIOCGDEV.patch

# http://download.filesystems.org/unionfs/unionfs-2.x/unionfs-2.5_for_2.6.27-rc6.diff.gz
Patch140:	kernel-unionfs.patch
Patch141:	kernel-unionfs-apparmor.patch

Patch142:	kernel-autofs4-2.6.27-v5-update-20081027.patch

Patch150:	kernel-ppc-crtsavres.patch

Patch200:	linux-2.6-ppc-ICE-hacks.patch

# The following patch extend the routing functionality in Linux
# to support static routes (defined by user), new way to use the
# alternative routes, the reverse path protection (rp_filter),
# the NAT processing to use correctly the routing when multiple
# gateways are used.
# http://www.ssi.bg/~ja/routes-2.6.27-15.diff
Patch300:	kernel-routes.patch

Patch1000:	linux-2.6-grsec-minimal.patch

Patch2000:	kernel-small_fixes.patch
Patch2001:	linux-2.6.21.1-pwc-uncompress.patch
Patch2002:	kernel-atom-coretemp.patch
Patch2003:	kernel-regressions.patch

# kill some thousands of warnings
# (only warnings, so just remove parts of this patch if conflics)
Patch2500:	linux-2.6-warnings.patch

# based on https://forgesvn1.novell.com/svn/apparmor/trunk/kernel-patches/2.6.27 rev 1303
# repatched and adapted for vserver/grsec changes in vfs API, experimental
Patch5000:	kernel-apparmor.patch
# with grsec_full version
Patch5001:	kernel-apparmor-after-grsec_full.patch
Patch5002:	kernel-apparmor-common.patch

# for rescuecd
# based on http://ftp.leg.uct.ac.za/pub/linux/rip/inittmpfs-2.6.14.diff.gz
Patch7000:	kernel-inittmpfs.patch
### based on http://udpcast.linux.lu/download/bzip2-lzma-kernel-2.6.26.3.patch.gz
# http://lkml.org/lkml/2008/10/14/268
Patch7001:	kernel-bzip2-lzma.patch

# not ready yet
Patch9997:	pax_selinux_hooks-2.6.20.patch

# based on http://www.grsecurity.net/~paxguy1/pax-linux-2.6.24.6-test45.patch
Patch9998:	kernel-pax.patch

# based on http://www.grsecurity.net/~spender/grsecurity-2.1.12-2.6.27.4-200810272314.patch
Patch9999:	linux-2.6-grsec_full.patch
Patch10000:	linux-2.6-grsec-caps.patch
Patch10001:	linux-2.6-grsec-common.patch
Patch10002:	kernel-grsec_fixes.patch
Patch10003:	linux-2.6-grsec-no-stupid-SoB.patch

URL:		http://www.kernel.org/
BuildRequires:	binutils >= 3:2.18
%ifarch sparc sparc64
BuildRequires:	elftoaout
%endif
%ifarch ppc
BuildRequires:	uboot-mkimage
%endif
AutoReqProv:	no
BuildRequires:	/sbin/depmod
BuildRequires:	gcc >= 5:3.2
%{?with_rescuecd:BuildRequires:	lzma >= 1:4.42.2}
# for hostname command
BuildRequires:	net-tools
BuildRequires:	perl-base
BuildRequires:	rpm-build >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.217
Requires(post):	coreutils
Requires(post):	geninitrd >= 2.57
Requires(post):	module-init-tools >= 0.9.9
Requires:	/sbin/depmod
Requires:	coreutils
Requires:	geninitrd >= 2.57
Requires:	module-init-tools >= 0.9.9
Provides:	%{name}(netfilter) = %{netfilter_snap}
Provides:	%{name}(vermagic) = %{kernel_release}
%if %{with xen0} || %{with xenU}
Provides:	kernel(xen) = %{_xen_version}
%endif
Obsoletes:	kernel%{_alt_kernel}-isdn-mISDN
Obsoletes:	kernel-misc-acer_acpi
Obsoletes:	kernel-misc-fuse
Obsoletes:	kernel-misc-uvc
Obsoletes:	kernel-modules
Obsoletes:	kernel-net-ar81
Obsoletes:	kernel-net-hostap
Obsoletes:	kernel-net-ieee80211
Obsoletes:	kernel-net-ipp2p
Obsoletes:	kernel-net-rt61
Obsoletes:	kernel-smp
Conflicts:	e2fsprogs < 1.29
Conflicts:	isdn4k-utils < 3.1pre1
Conflicts:	jfsutils < 1.1.3
Conflicts:	lvm2 < 2.02.40
Conflicts:	module-init-tools < 0.9.10
Conflicts:	nfs-utils < 1.0.5
Conflicts:	oprofile < 0.9
Conflicts:	ppp < 1:2.4.0
Conflicts:	procps < 3.2.0
Conflicts:	quota-tools < 3.09
%if %{with reiserfs4}
Conflicts:	reiser4progs < 1.0.0
%endif
Conflicts:	reiserfsprogs < 3.6.3
Conflicts:	udev < 1:081
Conflicts:	util-linux < 2.10o
Conflicts:	util-vserver < 0.30.215-10
Conflicts:	xfsprogs < 2.6.0
%if %{with xen0} || %{with xenU} || %{with pae}
ExclusiveArch:	%{ix86}
%if %{with pae}
ExcludeArch:	i386 i486 i586
%endif
%else
ExclusiveArch:	%{ix86} %{x8664} alpha arm ia64 ppc ppc64 sparc sparc64
%endif
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{ix86} %{x8664}
%define		target_arch_dir		x86
%endif
%ifarch ppc ppc64
%define		target_arch_dir		powerpc
%endif
%ifnarch %{ix86} %{x8664} ppc ppc64
%define		target_arch_dir		%{_target_base_arch}
%endif

%define		defconfig	arch/%{target_arch_dir}/defconfig

# No ELF objects there to strip (skips processing 27k files)
%define		_noautostrip	'(.*%{_kernelsrcdir}/.*|.*/vmlinux.*)'
%define		_noautochrpath	.*%{_kernelsrcdir}/.*

%ifarch ia64
%define		initrd_dir	/boot/efi
%else
%define		initrd_dir	/boot
%endif

%define		_kernelsrcdir	/usr/src/linux%{_alt_kernel}-%{version}

%if "%{_target_base_arch}" != "%{_arch}"
	%define CrossOpts ARCH=%{_target_base_arch} CROSS_COMPILE=%{_target_cpu}-pld-linux-
	%define	DepMod /bin/true

	%if "%{_arch}" == "sparc" && "%{_target_base_arch}" == "sparc64"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "sparc64" && "%{_target_base_arch}" == "sparc"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "x86_64" && "%{_target_base_arch}" == "i386"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_target_base_arch}" == "ppc" || "%{_target_base_arch}" == "ppc64"
	%define CrossOpts ARCH=powerpc CROSS_COMPILE=%{_target_cpu}-pld-linux-
	%endif
%else
	%ifarch ppc ppc64
	%define CrossOpts ARCH=powerpc CC="%{__cc}"
	%else
	%define CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%endif
	%define	DepMod /sbin/depmod
%endif
%define MakeOpts %{CrossOpts} HOSTCC="%{__cc}"

%define __features Netfilter module dated: %{netfilter_snap}\
%{?with_grsec_full:Grsecurity full support - enabled}\
%{?with_pax:PaX support - enabled}\
%{?with_xen0:Xen 0 - enabled}\
%{?with_xenU:Xen U - enabled}\
%{?with_fbcondecor:Fbsplash/fbcondecor - enabled }\
%{?with_nfsroot:Root on NFS - enabled}

%define Features %(echo "%{__features}" | sed '/^$/d')

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

%{Features}

%description -l de.UTF-8
Das Kernel-Paket enthält den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist für grundliegende
Systemfunktionen verantwortlich: Speicherreservierung,
Prozeß-Management, Geräte Ein- und Ausgaben, usw.

%{Features}

%description -l fr.UTF-8
Le package kernel contient le kernel linux (vmlinuz), la partie
centrale d'un système d'exploitation Linux. Le noyau traite les
fonctions basiques d'un système d'exploitation: allocation mémoire,
allocation de process, entrée/sortie de peripheriques, etc.

%{Features}

%description -l pl.UTF-8
Pakiet zawiera jądro Linuksa niezbędne do prawidłowego działania
Twojego komputera. Zawiera w sobie sterowniki do sprzętu znajdującego
się w komputerze, takiego jak sterowniki dysków itp.

%{Features}

%package vmlinux
Summary:	vmlinux - uncompressed kernel image
Summary(de.UTF-8):	vmlinux - dekompressiertes Kernel Bild
Summary(pl.UTF-8):	vmlinux - rozpakowany obraz jądra
Group:		Base/Kernel
Obsoletes:	kernel-smp-vmlinux

%description vmlinux
vmlinux - uncompressed kernel image.

%description vmlinux -l de.UTF-8
vmlinux - dekompressiertes Kernel Bild.

%description vmlinux -l pl.UTF-8
vmlinux - rozpakowany obraz jądra.

%package drm
Summary:	DRM kernel modules
Summary(de.UTF-8):	DRM Kernel Treiber
Summary(pl.UTF-8):	Sterowniki DRM
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-drm
AutoReqProv:	no

%description drm
DRM kernel modules.

%description drm -l de.UTF-8
DRM Kernel Treiber.

%description drm -l pl.UTF-8
Sterowniki DRM.

%package pcmcia
Summary:	PCMCIA modules
Summary(de.UTF-8):	PCMCIA Module
Summary(pl.UTF-8):	Moduły PCMCIA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-pcmcia
Conflicts:	pcmcia-cs < 3.1.21
Conflicts:	pcmciautils < 004
AutoReqProv:	no

%description pcmcia
PCMCIA modules.

%description pcmcia -l de.UTF-8
PCMCIA Module.

%description pcmcia -l pl.UTF-8
Moduły PCMCIA.

%package libs
Summary:	Libraries for preparing bootable kernel on PowerPCs
Summary(pl.UTF-8):	Biblioteki do przygotowania bootowalnego jądra dla PowerPC
Group:		Base/Kernel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	mkvmlinuz >= 1.3
Obsoletes:	kernel-smp-libs
AutoReqProv:	no

%description libs
Libraries for preparing bootable kernel on PowerPCs. Script called
mkvmlinuz may be useful for this.

%description libs -l pl.UTF-8
Biblioteki do przygotowania bootowalnego jądra dla PowerPC. Skrypt
mkvmlinuz może być do tego przydatny.

%package sound-alsa
Summary:	ALSA kernel modules
Summary(de.UTF-8):	ALSA Kernel Module
Summary(pl.UTF-8):	Sterowniki dźwięku ALSA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-alsa
AutoReqProv:	no

%description sound-alsa
ALSA (Advanced Linux Sound Architecture) sound drivers.

%description sound-alsa -l de.UTF-8
ALSA (Advanced Linux Sound Architecture) Sound-Treiber.

%description sound-alsa -l pl.UTF-8
Sterowniki dźwięku ALSA (Advanced Linux Sound Architecture).

%package sound-oss
Summary:	OSS kernel modules
Summary(de.UTF-8):	OSS Kernel Module
Summary(pl.UTF-8):	Sterowniki dźwięku OSS
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-oss
AutoReqProv:	no

%description sound-oss
OSS (Open Sound System) drivers.

%description sound-oss -l de.UTF-8
OSS (Open Sound System) Treiber.

%description sound-oss -l pl.UTF-8
Sterowniki dźwięku OSS (Open Sound System).

%package headers
Summary:	Header files for the Linux kernel
Summary(de.UTF-8):	Header Dateien für den Linux-Kernel
Summary(pl.UTF-8):	Pliki nagłówkowe jądra Linuksa
Group:		Development/Building
Provides:	%{name}-headers(netfilter) = %{netfilter_snap}
AutoReqProv:	no

%description headers
These are the C header files for the Linux kernel, which define
structures and constants that are needed when rebuilding the kernel or
building kernel modules.

%description headers -l de.UTF-8
Dies sind die C Header Dateien für den Linux-Kernel, die definierte
Strukturen und Konstante beinhalten, die beim rekompilieren des
Kernels oder bei Kernel Modul kompilationen gebraucht werden.

%description headers -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe jądra, niezbędne do rekompilacji jądra
oraz budowania modułów jądra.

%package module-build
Summary:	Development files for building kernel modules
Summary(de.UTF-8):	Development Dateien die beim Kernel Modul kompilationen gebraucht werden
Summary(pl.UTF-8):	Pliki służące do budowania modułów jądra
Group:		Development/Building
Requires:	%{name}-headers = %{epoch}:%{version}-%{release}
Conflicts:	rpmbuild(macros) < 1.321
AutoReqProv:	no

%description module-build
Development files from kernel source tree needed to build Linux kernel
modules from external packages.

%description module-build -l de.UTF-8
Development Dateien des Linux-Kernels die beim kompilieren externer
Kernel Module gebraucht werden.

%description module-build -l pl.UTF-8
Pliki ze drzewa źródeł jądra potrzebne do budowania modułów jądra
Linuksa z zewnętrznych pakietów.

%package source
Summary:	Kernel source tree
Summary(de.UTF-8):	Der Kernel Quelltext
Summary(pl.UTF-8):	Kod źródłowy jądra Linuksa
Group:		Development/Building
Requires:	%{name}-module-build = %{epoch}:%{version}-%{release}
AutoReqProv:	no

%description source
This is the source code for the Linux kernel. You can build a custom
kernel that is better tuned to your particular hardware.

%description source -l de.UTF-8
Das Kernel-Source-Paket enthält den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele
C-Programme zu kompilieren, da sie auf Konstanten zurückgreifen, die
im Kernel-Source definiert sind. Die Source-Dateien können auch
benutzt werden, um einen Kernel zu kompilieren, der besser auf Ihre
Hardware ausgerichtet ist.

%description source -l fr.UTF-8
Le package pour le kernel-source contient le code source pour le noyau
linux. Ces sources sont nécessaires pour compiler la plupart des
programmes C, car il dépend de constantes définies dans le code
source. Les sources peuvent être aussi utilisée pour compiler un noyau
personnalisé pour avoir de meilleures performances sur des matériels
particuliers.

%description source -l pl.UTF-8
Pakiet zawiera kod źródłowy jądra systemu.

%package doc
Summary:	Kernel documentation
Summary(de.UTF-8):	Kernel Dokumentation
Summary(pl.UTF-8):	Dokumentacja do jądra Linuksa
Group:		Documentation
AutoReqProv:	no

%description doc
This is the documentation for the Linux kernel, as found in
/usr/src/linux/Documentation directory.

%description doc -l de.UTF-8
Dies ist die Kernel Dokumentation wie sie im 'Documentation'
Verzeichniss vorgefunden werden kann.

%description doc -l pl.UTF-8
Pakiet zawiera dokumentację do jądra Linuksa pochodzącą z katalogu
/usr/src/linux/Documentation.

%prep
%setup -qc
cd linux-%{basever}

# hack against warning in pax/grsec
%ifarch alpha
sed -i 's/-Werror//' arch/alpha/kernel/Makefile
%endif

%ifarch ppc
install %{SOURCE5} Makefile.ppclibs
%endif

%if "%{postver}" != "%{nil}"
%{__bzip2} -dc %{SOURCE1} | patch -p1 -s
%endif

# tuxonice:
%if %{with tuxonice}
##ifarch %{ix86} %{x8664} ia64 ppc alpha
%patch69 -p1
%patch70 -p1
##endif
%endif

%patch2 -p1
%if %{with fbcondecor}
%patch3 -p1
%endif
%patch4 -p1

# squashfs
%patch5 -p1

%patch6 -p1

## netfilter
#

# kernel-pom-ng-IPV4OPTSSTRIP.patch
%patch10 -p1

# kernel-pom-ng-ipv4options.patch
%patch11 -p1

# kernel-pom-ng-ROUTE.patch
%patch14 -p1

# kernel-pom-ng-mms-conntrack-nat.patch
%patch16 -p1

# kernel-pom-ng-rsh.patch
%patch22 -p1

# kernel-pom-ng-rpc.patch
%patch23 -p1

# kernel-nf_rtsp.patch
%patch36 -p1

# kernel-owner-xid.patch
%if %{with vserver}
%patch37 -p1
%endif

# kernel-ipt_account.patch
%patch38 -p1

# kernel-ipt_ACCOUNT.patch
%patch39 -p1

# kernel-layer7.patch
%patch40 -p1

# ipvs-nfct
%patch41 -p1

##
# end of netfilter

# zph
%patch49 -p1

%if %{with imq}
%patch50 -p1
%endif

# reiser4
%if %{with reiser4}
%patch51 -p1
%endif

# esfq
%patch53 -p1

%if %{with wrr}
%patch52 -p1
%endif

# toshiba_acpi
%patch54 -p1

%patch55 -p1
%patch56 -p1

%patch58 -p1

# kernel-rndis_host-wm5.patch
%patch59 -p1

%patch61 -p1

# hostap enhancements from/for aircrack-ng
%patch85 -p1

# LSI MPT Fusion driver update
#%patch90 -p1 does not apply, can't find any patch update

%patch95 -p1

# vserver
%if %{with vserver}
%patch100 -p1
%patch101 -p1
%endif

#%if %{with xen0} || %{with xenU}
#%ifarch %{ix86} %{x8664} ia64
#%patch120 -p1
#%endif
#%endif

# tproxy
%if %{without rescuecd} && %{with vserver}
#patch42 -p1
%endif

# forcedeth
%patch130 -p1

%patch131 -p1

# unionfs
%patch140 -p1
%{?with_apparmor:%patch141 -p1}

# autofs4-v5-update
%patch142 -p1

%patch2500 -p1

%if %{with rescuecd}
%patch7000 -p1
%patch7001 -p1
%endif

# grsecurity & pax stuff
#
%if %{with pax_full}
%patch9999 -p1
%{?with_vserver:%patch10000 -p1}
%{?with_vserver:%patch10001 -p1}
%{?with_vserver:%patch10002 -p1}
%{?with_vserver:%patch10003 -p1}
%else

%if %{with grsec_full}
%patch9999 -p1
%{?with_vserver:%patch10000 -p1}
%{?with_vserver:%patch10001 -p1}
%{?with_vserver:%patch10002 -p1}
%{?with_vserver:%patch10003 -p1}
%else
%if %{with grsec_minimal}
%patch1000 -p1
# remember that we have the same config file for grsec_minimal and
# grsec_full, but the patches are different.
%endif
%endif

%if %{with pax}
# now we have an separate testing pax-only patch - in the future we
# could have single grsecurity patch and will have to prepare separate
# configs for grsec_minimal, grsec_full and pax to support such
# configurations like pax & grsec_minimal.
# So, in a future there could be no patch9998, but only config
# would tell which options should be enabled.
# The second option is to maintain separate pax-only patch.
%patch9998 -p1
#patch9997 -p1 - needs update
%endif

%endif

#
# end of grsecurity & pax stuff

# apparmor
%if %{with apparmor}
%if %{with grsec_full} || %{with pax_full}
%patch5001 -p1
%patch5002 -p1
%else
%patch5000 -p1
%patch5002 -p1
%endif
%endif

%patch150 -p1

%ifarch ppc ppc64
#patch200 -p1
%endif

# routes
%patch300 -p1

# Small fixes:
%patch2000 -p1
%patch2001 -p1
%patch2002 -p1
#%patch2003 -p1

# Fix EXTRAVERSION in main Makefile
sed -i 's#EXTRAVERSION =.*#EXTRAVERSION = %{postver}%{?alt_kernel:_%{alt_kernel}}#g' Makefile

# on sparc this line causes CONFIG_INPUT=m (instead of =y), thus breaking build
sed -i -e '/select INPUT/d' net/bluetooth/hidp/Kconfig

# on sparc64 avoid building break due to NULL pointer type warrning
sed -i -e 's/^EXTRA_CFLAGS := -Werror/EXTRA_CFLAGS := /' arch/sparc64/kernel/Makefile

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' -o -name '.gitignore' ')' -print0 | xargs -0 -r -l512 rm -f

%build
cd linux-%{basever}
PaXconfig () {
	set -x
	cat <<-EOCONFIG > $1
	%ifarch %{ix86}
		CONFIG_PAX_SEGMEXEC=y
		# performance impact on CPUs without NX bit
		CONFIG_PAX_PAGEEXEC=n
		# Testing KERNEXEC

		CONFIG_HOTPLUG_PCI_COMPAQ_NVRAM=n
		CONFIG_PCI_BIOS=n
		CONFIG_EFI=n
	%endif

	%ifarch ppc64
		CONFIG_PAX_NOELFRELOCS=n
	%endif
	%ifarch ppc
		CONFIG_PAX_EMUTRAMP=y
		CONFIG_PAX_EMUSIGRT=y
		CONFIG_PAX_EMUPLT=y
	%endif

	%ifarch sparc sparc64 alpha
		CONFIG_PAX_EMUPLT=y
	%endif

	# Now we have to check MAC system integration. Grsecurity (full) uses PAX_HAVE_ACL_FLAGS
	# setting (direct acces). grsec_minimal probably have no idea about PaX so we probably
	# could use PAX_NO_ACL_FLAGS, but for testing the hooks setting will be used
	# PAX_HOOK_ACL_FLAGS. SELinux should also be able to make PaX settings via hooks

	%if %{with grsec_full}
		# Hardening grsec options if with pax
		CONFIG_GRKERNSEC_PROC_MEMMAP=y
		# almost rational (see HIDESYM help)
		CONFIG_GRKERNSEC_HIDESYM=y

		# no change needed CONFIG=PAX_HAVE_ACL_FLAGS=y is taken from the kernel-pax.config
	%else
		# selinux or other hooks?
		CONFIG_PAX_HAVE_ACL_FLAGS=n
		CONFIG_PAX_HOOK_ACL_FLAGS=y
	%endif
EOCONFIG

	return 0
}

RescueConfig() {
	set -x
	cat <<-EOCONFIG > $1
		# CONFIG_SOUND is not set
		# CONFIG_AUDIT is not set
		# CONFIG_TR is not set
		# CONFIG_BT is not set
		# CONFIG_VIDEO_DEV is not set
		# CONFIG_DVB_CORE is not set
		# CONFIG_HAMRADIO is not set
		# CONFIG_ARCNET is not set
		# CONFIG_FB is not set
		# CONFIG_DRM is not set
		# CONFIG_WATCHDOG is not set
		# CONFIG_INPUT_JOYSTICK is not set
		# CONFIG_DEBUG_KERNEL is not set
		# CONFIG_ISDN is not set
		# CONFIG_AGP is not set
		# CONFIG_SECURITY is not set
		# CONFIG_PARIDE is not set
		# CONFIG_CPU_FREQ is not set
		# CONFIG_GAMEPORT is not set
		# CONFIG_KVM is not set
		# CONFIG_PHONE is not set
		CONFIG_BLK_DEV_LOOP=y
		CONFIG_ISO9660_FS=y
		CONFIG_NLS_UTF8=y
EOCONFIG

	return 0
}

BuildConfig() {
	%{?debug:set -x}
	set -e

	Config="kernel-%{target_arch_dir}.config"
	echo "Building config file for %{_target_cpu} using $Config et al."

	# prepare local and important options
	cat <<-EOCONFIG > important.config
%if 0%{?debug:1}
		CONFIG_DEBUG_SLAB=y
		CONFIG_DEBUG_SLAB_LEAK=y
		CONFIG_DEBUG_PREEMPT=y
		CONFIG_RT_DEADLOCK_DETECT=y
%endif

%if %{without smp}
		CONFIG_SMP=n
%endif

# apparmor, will be moved to external file if works
%if %{with apparmor}
		CONFIG_SECURITY_APPARMOR=y
		CONFIG_SECURITY_APPARMOR_BOOTPARAM_VALUE=1
		CONFIG_SECURITY_APPARMOR_DISABLE=n
%endif

%if %{without ipv6}
		CONFIG_IPV6=n
%endif

%ifarch i686 athlon pentium3 pentium4
  %if %{with pae}
		CONFIG_HIGHMEM4G=n
		CONFIG_HIGHMEM64G=y
		CONFIG_X86_PAE=y
  %endif
%endif

%if %{without pcmcia}
		CONFIG_PCMCIA=n
%endif

%if %{with fbcondecor}
		CONFIG_FB_S3=n
		CONFIG_FB_VT8623=n
		CONFIG_FB_ARK=n
		CONFIG_FB_TILEBLITTING=n
		CONFIG_FB_CON_DECOR=y
%endif

%if %{with nfsroot}
		CONFIG_NFS_FS=y
		CONFIG_ROOT_NFS=y
%endif

# Temporary disabled RELOCATABLE. Needed only on x86??
%if %{with pax} || %{with grsec_full}
		CONFIG_RELOCATABLE=n
%endif
EOCONFIG

	RescueConfig rescue.config
	PaXconfig pax.config

	# prepare kernel-style config file from multiple config files
	%{__awk} -v arch="all %{target_arch_dir} %{_target_base_arch} %{_target_cpu}" -f %{SOURCE6} \
		important.config \
%if %{with rescuecd}
		%{SOURCE58} \
		%{SOURCE59} \
		rescue.config \
%endif
%if %{with xenU}
		%{SOURCE47} \
%endif
%if %{with xen0}
		%{SOURCE46} \
%endif
		\
%if %{with pax_full}
		%{SOURCE45} \
		%{SOURCE49} \
		pax.config \
%else
  %if %{with grsec_full}
		%{SOURCE45} \
		%{SOURCE50} \
  %else
	%if %{with grsec_minimal}
		%{SOURCE51} \
	%endif
  %endif
  %if %{with pax}
		%{SOURCE49} \
		pax.config \
  %endif
%endif
		\
%if %{with reiser4}
		%{SOURCE56} \
%endif
%if %{with wrr}
		%{SOURCE57} \
%endif
%if %{with imq}
		%{SOURCE55} \
%endif
%if %{with vserver}
		%{SOURCE43} \
%endif
%if %{with tuxonice}
%ifarch %{ix86} %{x8664} ia64 ppc ppc64
		%{SOURCE42} \
%endif
%endif
		%{SOURCE40} %{?0:netfilter} \
		%{SOURCE41} %{?0:patches} \
		%{SOURCE20} \
		$RPM_SOURCE_DIR/$Config \
		> %{defconfig}
}

BuildKernel() {
	%{?debug:set -x}
	echo "Building kernel $1 ..."
	install .config %{defconfig}
	%{__make} %{MakeOpts} mrproper \
		RCS_FIND_IGNORE='-name build-done -prune -o'
	ln -sf %{defconfig} .config

	%{__make} %{MakeOpts} clean \
		RCS_FIND_IGNORE='-name build-done -prune -o'
	%{__make} %{MakeOpts} include/linux/version.h \
		%{?with_verbose:V=1}

	%{__make} %{MakeOpts} scripts/mkcompile_h \
		%{?with_verbose:V=1}

# make does vmlinux, modules and bzImage at once
%ifarch sparc64
	%{__make} %{MakeOpts} image \
		%{?with_verbose:V=1}

	%{__make} %{MakeOpts} modules \
		%{?with_verbose:V=1}
%else
	%{__make} %{MakeOpts} \
		%{?with_verbose:V=1}
%endif
}

PreInstallKernel() {
	Config="%{_target_base_arch}"
	KernelVer=%{kernel_release}

	mkdir -p $KERNEL_INSTALL_DIR/boot
	install System.map $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer
%ifarch %{ix86} %{x8664}
	install arch/x86/boot/bzImage $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
%endif
%ifarch alpha sparc sparc64
	gzip -cfv vmlinux > vmlinuz
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinuz $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%ifarch sparc
	elftoaout arch/sparc/boot/image -o vmlinux.aout
	install vmlinux.aout $KERNEL_INSTALL_DIR/boot/vmlinux.aout-$KernelVer
%endif
%ifarch sparc64
	elftoaout arch/sparc64/boot/image -o vmlinux.aout
	install vmlinux.aout $KERNEL_INSTALL_DIR/boot/vmlinux.aout-$KernelVer
%endif
%endif
%ifarch ppc ppc64
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%ifarch ppc-broken
	%{__make} -f Makefile.ppclibs install \
		DESTDIR=$KERNEL_INSTALL_DIR/boot/libs-$KernelVer
%endif
%ifarch ia64
	gzip -cfv vmlinux > vmlinuz
	install -d $KERNEL_INSTALL_DIR/boot/efi
	install vmlinuz $KERNEL_INSTALL_DIR/boot/efi/vmlinuz-$KernelVer
	ln -sf efi/vmlinuz-$KernelVer $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%ifarch arm
	install arch/arm/boot/zImage $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif

	install -d $KERNEL_INSTALL_DIR/lib/firmware/$KernelVer
	%{__make} %{MakeOpts} -j1 modules_install firmware_install \
		%{?with_verbose:V=1} \
		DEPMOD=%DepMod \
		INSTALL_MOD_PATH=$KERNEL_INSTALL_DIR \
		INSTALL_FW_PATH=$KERNEL_INSTALL_DIR/lib/firmware/$KernelVer \
		KERNELRELEASE=$KernelVer

	# You'd probabelly want to make it somewhat different
	install -d $KERNEL_INSTALL_DIR%{_kernelsrcdir}
	install Module.symvers $KERNEL_INSTALL_DIR%{_kernelsrcdir}/Module.symvers-dist

	echo "CHECKING DEPENDENCIES FOR KERNEL MODULES"
	if [ %DepMod = /sbin/depmod ]; then
		/sbin/depmod --basedir $KERNEL_INSTALL_DIR -ae -F $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer -r $KernelVer || :
	fi
	touch $KERNEL_INSTALL_DIR/lib/modules/$KernelVer/modules.dep
	# binary cache produced by depmod at runtime
	touch $KERNEL_INSTALL_DIR/lib/modules/$KernelVer/modules.{alias,dep,symbols}.bin
	echo "KERNEL RELEASE $KernelVer DONE"
}

KERNEL_BUILD_DIR=`pwd`
echo "-%{localversion}" > localversion

KERNEL_INSTALL_DIR="$KERNEL_BUILD_DIR/build-done/kernel"
rm -rf $KERNEL_INSTALL_DIR
%if %{without myown}
BuildConfig
%else
cat $RPM_SOURCE_DIR/kernel-myown.config > %{defconfig}
%endif
ln -sf %{defconfig} .config
install -d $KERNEL_INSTALL_DIR%{_kernelsrcdir}/include/linux
rm -f include/linux/autoconf.h
%{__make} %{MakeOpts} include/linux/autoconf.h
install include/linux/autoconf.h \
	$KERNEL_INSTALL_DIR%{_kernelsrcdir}/include/linux/autoconf-dist.h
install .config \
	$KERNEL_INSTALL_DIR%{_kernelsrcdir}/config-dist

%{__awk} %{?debug:-v dieOnError=1} -v infile=%{defconfig} -f %{SOURCE8} .config

BuildKernel
PreInstallKernel

%{__make} %{MakeOpts} include/linux/utsrelease.h
cp include/linux/utsrelease.h{,.save}
cp include/linux/version.h{,.save}
cp scripts/mkcompile_h{,.save}

%install
rm -rf $RPM_BUILD_ROOT
cd linux-%{basever}

umask 022
export DEPMOD=%DepMod

install -d $RPM_BUILD_ROOT%{_kernelsrcdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/%{kernel_release}

# test if we can hardlink -- %{_builddir} and $RPM_BUILD_ROOT on same partition
if cp -al COPYING $RPM_BUILD_ROOT/COPYING 2>/dev/null; then
	l=l
	rm -f $RPM_BUILD_ROOT/COPYING
fi

KERNEL_BUILD_DIR=`pwd`

cp -a$l $KERNEL_BUILD_DIR/build-done/kernel/* $RPM_BUILD_ROOT

if [ -e $RPM_BUILD_ROOT/lib/modules/%{kernel_release} ] ; then
	rm -f $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/build
	ln -sf %{_kernelsrcdir} $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/build
	install -d $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{cluster,misc}
fi

find . -maxdepth 1 ! -name "build-done" ! -name "." -exec cp -a$l "{}" "$RPM_BUILD_ROOT%{_kernelsrcdir}/" ";"

cd $RPM_BUILD_ROOT%{_kernelsrcdir}

%{__make} %{MakeOpts} mrproper archclean \
	RCS_FIND_IGNORE='-name build-done -prune -o'

rm -f *.config
rm -rf samples

if [ -e $KERNEL_BUILD_DIR/build-done/kernel%{_kernelsrcdir}/include/linux/autoconf-dist.h ]; then
	install $KERNEL_BUILD_DIR/build-done/kernel%{_kernelsrcdir}/include/linux/autoconf-dist.h \
		$RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux
	install	$KERNEL_BUILD_DIR/build-done/kernel%{_kernelsrcdir}/config-dist \
		$RPM_BUILD_ROOT%{_kernelsrcdir}
fi

cp -Rdp$l $KERNEL_BUILD_DIR/include/linux/* \
	$RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux

%{__make} %{MakeOpts} mrproper
mv -f include/linux/utsrelease.h{.save,}
mv -f include/linux/version.h{.save,}
mv -f scripts/mkcompile_h{.save,}
install %{SOURCE3} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/autoconf.h
install %{SOURCE4} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/config.h

# collect module-build files and directories
perl %{SOURCE7} %{_kernelsrcdir} %{_builddir}/%{name}-%{version}

# ghosted initrd
touch $RPM_BUILD_ROOT%{initrd_dir}/initrd-%{kernel_release}.gz

# rpm obeys filelinkto checks for ghosted symlinks, convert to files
rm -f $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{build,source}
touch $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{build,source}

# remove unnecessary dir with dead symlink
rm -rf $RPM_BUILD_ROOT/arch/i386

# move to %{_docdir} so we wouldn't depend on any kernel package for dirs
install -d $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT{%{_kernelsrcdir}/Documentation,%{_docdir}/%{name}-%{version}}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -x /sbin/new-kernel-pkg ]; then
	/sbin/new-kernel-pkg --remove %{kernel_release}
fi

%post
%ifarch ia64
mv -f /boot/efi/vmlinuz{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/efi/vmlinuz%{_alt_kernel}{,.old} 2> /dev/null}
ln -sf vmlinuz-%{kernel_release} /boot/efi/vmlinuz
%{?alt_kernel:ln -sf vmlinuz-%{kernel_release} /boot/efi/vmlinuz%{_alt_kernel}}
%endif
mv -f /boot/vmlinuz{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/vmlinuz%{_alt_kernel}{,.old} 2> /dev/null}
mv -f /boot/System.map{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/System%{_alt_kernel}.map{,.old} 2> /dev/null}
ln -sf vmlinuz-%{kernel_release} /boot/vmlinuz
%{?alt_kernel:ln -sf vmlinuz-%{kernel_release} /boot/vmlinuz%{_alt_kernel}}
ln -sf System.map-%{kernel_release} /boot/System.map
%{?alt_kernel:ln -sf System.map-%{kernel_release} /boot/System.map%{_alt_kernel}}

%depmod %{kernel_release}

%posttrans
# generate initrd after all dependant modules are installed
/sbin/geninitrd -f --initrdfs=rom %{initrd_dir}/initrd-%{kernel_release}.gz %{kernel_release}
mv -f %{initrd_dir}/initrd{,.old} 2> /dev/null
%{?alt_kernel:mv -f %{initrd_dir}/initrd%{_alt_kernel}{,.old} 2> /dev/null}
ln -sf initrd-%{kernel_release}.gz %{initrd_dir}/initrd
%{?alt_kernel:ln -sf initrd-%{kernel_release}.gz %{initrd_dir}/initrd%{_alt_kernel}}

# update boot loaders when old package files are gone from filesystem
if [ -x /sbin/update-grub -a -f /etc/sysconfig/grub ]; then
	if [ "$(. /etc/sysconfig/grub; echo ${UPDATE_GRUB:-no})" = "yes" ]; then
		/sbin/update-grub >/dev/null
	fi
fi
if [ -x /sbin/new-kernel-pkg ]; then
	/sbin/new-kernel-pkg --initrdfile=%{initrd_dir}/initrd-%{kernel_release}.gz --install %{kernel_release} --banner "PLD Linux (%{pld_release})%{?alt_kernel: / %{alt_kernel}}"
fi
if [ -x /sbin/rc-boot ]; then
	/sbin/rc-boot 1>&2 || :
fi

%post vmlinux
mv -f /boot/vmlinux{,.old} 2> /dev/null
%{?alt_kernel:mv -f /boot/vmlinux-%{alt_kernel}{,.old} 2> /dev/null}
ln -sf vmlinux-%{kernel_release} /boot/vmlinux
%{?alt_kernel:ln -sf vmlinux-%{kernel_release} /boot/vmlinux-%{alt_kernel}}

%post libs
%{_sbindir}/mkvmlinuz /boot/zImage-%{kernel_release} %{kernel_release}

%post drm
%depmod %{kernel_release}

%postun drm
%depmod %{kernel_release}

%post pcmcia
%depmod %{kernel_release}

%postun pcmcia
%depmod %{kernel_release}

%post sound-alsa
%depmod %{kernel_release}

%postun sound-alsa
%depmod %{kernel_release}

%post sound-oss
%depmod %{kernel_release}

%postun sound-oss
%depmod %{kernel_release}

%post headers
ln -snf %{basename:%{_kernelsrcdir}} %{_prefix}/src/linux%{_alt_kernel}

%postun headers
if [ "$1" = "0" ]; then
	if [ -L %{_prefix}/src/linux%{_alt_kernel} ]; then
		if [ "$(readlink %{_prefix}/src/linux%{_alt_kernel})" = "linux%{_alt_kernel}-%{version}" ]; then
			rm -f %{_prefix}/src/linux%{_alt_kernel}
		fi
	fi
fi

%triggerin module-build -- %{name} = %{epoch}:%{version}-%{release}
ln -sfn %{_kernelsrcdir} /lib/modules/%{kernel_release}/build
ln -sfn %{_kernelsrcdir} /lib/modules/%{kernel_release}/source

%triggerun module-build -- %{name} = %{epoch}:%{version}-%{release}
if [ "$1" = 0 ]; then
	rm -f /lib/modules/%{kernel_release}/{build,source}
fi

%files
%defattr(644,root,root,755)
%ifarch sparc sparc64
/boot/vmlinux.aout-%{kernel_release}
%endif
%ifarch ia64
/boot/efi/vmlinuz-%{kernel_release}
%endif
/boot/vmlinuz-%{kernel_release}
/boot/System.map-%{kernel_release}
%ghost %{initrd_dir}/initrd-%{kernel_release}.gz
/lib/firmware/%{kernel_release}
%dir /lib/modules/%{kernel_release}
%dir /lib/modules/%{kernel_release}/kernel
%ifnarch sparc
/lib/modules/%{kernel_release}/kernel/arch
%endif
/lib/modules/%{kernel_release}/kernel/crypto
/lib/modules/%{kernel_release}/kernel/drivers
%if %{have_drm} && %{without myown}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/gpu
%endif
/lib/modules/%{kernel_release}/kernel/fs

# this directory will be removed after disabling rcutorture mod. in 2.6.20.
/lib/modules/%{kernel_release}/kernel/kernel

/lib/modules/%{kernel_release}/kernel/lib
/lib/modules/%{kernel_release}/kernel/net
%if %{have_sound} && %{without myown}
%dir /lib/modules/%{kernel_release}/kernel/sound
/lib/modules/%{kernel_release}/kernel/sound/ac97_bus.ko*
/lib/modules/%{kernel_release}/kernel/sound/sound*.ko*
%ifnarch sparc
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/cx88/cx88-alsa.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/em28xx/em28xx-alsa.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/media/video/saa7134/saa7134-alsa.ko*
%endif
%endif
%dir /lib/modules/%{kernel_release}/misc
%if %{with pcmcia} && %{without myown}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/[!p]*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/pd6729.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
%if %{without rescuecd}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/ata/pata_pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/b1pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/usb/gadget/g_midi.ko*
%endif
%exclude /lib/modules/%{kernel_release}/kernel/drivers/ide/legacy/ide-cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/b43
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/libertas/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/serial/serial_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif
%ghost /lib/modules/%{kernel_release}/modules.*
# symlinks pointing to kernelsrcdir
%ghost /lib/modules/%{kernel_release}/build
%ghost /lib/modules/%{kernel_release}/source
%dir %{_sysconfdir}/modprobe.d/%{kernel_release}

%ifarch alpha %{ix86} %{x8664} ppc ppc64 sparc sparc64
%files vmlinux
%defattr(644,root,root,755)
/boot/vmlinux-%{kernel_release}
%endif

%if %{have_drm} && %{without myown}
%files drm
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/gpu
%endif

%if %{with pcmcia} && %{without myown}
%files pcmcia
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/pcmcia/*ko*
/lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia/pcmcia*ko*
%if %{without rescuecd}
/lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/b1pcmcia.ko*
/lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
%endif
/lib/modules/%{kernel_release}/kernel/drivers/ata/pata_pcmcia.ko*
/lib/modules/%{kernel_release}/kernel/drivers/ide/legacy/ide-cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/b43
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/libertas/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/serial/serial_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif

%ifarch ppc-broken
%if "%{_arch}" == "ppc"
%files libs
%defattr(644,root,root,755)
%dir /boot/libs-%{kernel_release}
/boot/libs-%{kernel_release}/common
/boot/libs-%{kernel_release}/kernel
/boot/libs-%{kernel_release}/lib
/boot/libs-%{kernel_release}/of1275
/boot/libs-%{kernel_release}/openfirmware
/boot/libs-%{kernel_release}/simple
%dir /boot/libs-%{kernel_release}/utils
%attr(755,root,root) /boot/libs-%{kernel_release}/utils/*
/boot/libs-%{kernel_release}/ld.script
%endif
%endif

%if %{have_sound} && %{without myown}
%files sound-alsa
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound
%exclude %dir /lib/modules/%{kernel_release}/kernel/sound
%exclude /lib/modules/%{kernel_release}/kernel/sound/ac97_bus.ko*
%exclude /lib/modules/%{kernel_release}/kernel/sound/sound*.ko*
%if %{have_oss}
%exclude /lib/modules/%{kernel_release}/kernel/sound/oss
%endif
%ifnarch sparc
/lib/modules/%{kernel_release}/kernel/drivers/usb/gadget/g_midi.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/cx88/cx88-alsa.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/em28xx/em28xx-alsa.ko*
/lib/modules/%{kernel_release}/kernel/drivers/media/video/saa7134/saa7134-alsa.ko*
%endif

%if %{have_oss} && %{without myown}
%files sound-oss
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound/oss
%endif
%endif

%files headers
%defattr(644,root,root,755)
%dir %{_kernelsrcdir}
%{_kernelsrcdir}/include
%{_kernelsrcdir}/config-dist
%{_kernelsrcdir}/Module.symvers-dist

%files module-build -f aux_files
%defattr(644,root,root,755)
# symlinks pointint to kernelsrcdir
%dir /lib/modules/%{kernel_release}
/lib/modules/%{kernel_release}/build
%{_kernelsrcdir}/localversion
%ifarch ppc ppc64
%{_kernelsrcdir}/arch/powerpc/lib/crtsavres.*
%endif
%{_kernelsrcdir}/arch/*/kernel/asm-offsets*
%{_kernelsrcdir}/arch/*/kernel/sigframe*.h
%{_kernelsrcdir}/drivers/lguest/lg.h
%{_kernelsrcdir}/kernel/bounds.c
%dir %{_kernelsrcdir}/scripts
%dir %{_kernelsrcdir}/scripts/kconfig
%{_kernelsrcdir}/scripts/Kbuild.include
%{_kernelsrcdir}/scripts/Makefile*
%{_kernelsrcdir}/scripts/basic
%{_kernelsrcdir}/scripts/mkmakefile
%{_kernelsrcdir}/scripts/mod
%{_kernelsrcdir}/scripts/setlocalversion
%{_kernelsrcdir}/scripts/*.c
%{_kernelsrcdir}/scripts/*.sh
%{_kernelsrcdir}/scripts/kconfig/*
%{_kernelsrcdir}/scripts/mkcompile_h

%files doc
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}

%if %{with source}
%files source -f aux_files_exc
%defattr(644,root,root,755)
%{_kernelsrcdir}/arch/*/[!Mk]*
%{_kernelsrcdir}/arch/*/kernel/[!M]*
%{_kernelsrcdir}/arch/ia64/kvm
%{_kernelsrcdir}/arch/powerpc/kvm
%{_kernelsrcdir}/firmware
%ifarch ppc ppc64
%exclude %{_kernelsrcdir}/arch/powerpc/lib/crtsavres.*
%endif
%{_kernelsrcdir}/arch/s390/kvm
%{_kernelsrcdir}/arch/x86/kvm
%exclude %{_kernelsrcdir}/arch/*/kernel/asm-offsets*
%exclude %{_kernelsrcdir}/arch/*/kernel/sigframe*.h
%exclude %{_kernelsrcdir}/drivers/lguest/lg.h
%{_kernelsrcdir}/block
%{_kernelsrcdir}/crypto
%{_kernelsrcdir}/drivers
%{_kernelsrcdir}/fs
%if %{with grsecurity} && %{without rescuecd}
%{_kernelsrcdir}/grsecurity
%endif
%{_kernelsrcdir}/init
%{_kernelsrcdir}/ipc
%{_kernelsrcdir}/kernel
%exclude %{_kernelsrcdir}/kernel/bounds.c
%{_kernelsrcdir}/lib
%{_kernelsrcdir}/mm
%{_kernelsrcdir}/net
%{_kernelsrcdir}/virt
%{_kernelsrcdir}/scripts/*
%exclude %{_kernelsrcdir}/scripts/Kbuild.include
%exclude %{_kernelsrcdir}/scripts/Makefile*
%exclude %{_kernelsrcdir}/scripts/basic
%exclude %{_kernelsrcdir}/scripts/kconfig
%exclude %{_kernelsrcdir}/scripts/mkmakefile
%exclude %{_kernelsrcdir}/scripts/mod
%exclude %{_kernelsrcdir}/scripts/setlocalversion
%exclude %{_kernelsrcdir}/scripts/*.c
%exclude %{_kernelsrcdir}/scripts/*.sh
%{_kernelsrcdir}/sound
%{_kernelsrcdir}/security
%{_kernelsrcdir}/usr
%{_kernelsrcdir}/COPYING
%{_kernelsrcdir}/CREDITS
%{_kernelsrcdir}/MAINTAINERS
%{_kernelsrcdir}/README
%{_kernelsrcdir}/REPORTING-BUGS
%{_kernelsrcdir}/.mailmap
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel.spec,v $
Revision 1.441.2.2036.2.68  2012/03/15 06:47:12  glen
- fix install target (it doesn't make firmware dir itself)

Revision 1.441.2.2036.2.67  2012/03/14 22:06:02  glen
- up to 2.6.27.61, almost builds without grsecurity and apparmor

Revision 1.441.2.2036.2.66  2011/05/22 13:07:41  glen
- 2.6.27.59 tarball

Revision 1.441.2.2036.2.65  2010/12/21 15:10:48  glen
- up to 2.6.27.57

Revision 1.441.2.2036.2.64  2010/09/21 13:47:55  glen
- add cve ref

Revision 1.441.2.2036.2.63  2010/09/21 08:04:42  arekm
- up to 2.6.27.54, fixes CVE-2010-3081

Revision 1.441.2.2036.2.62  2010/08/30 19:14:43  glen
- re-add kernel-TIOCGDEV.patch, from 2.6.22, used by blogd from showconsole

Revision 1.441.2.2036.2.61  2010/08/27 19:48:48  arekm
- up to 2.6.27.53; add xfs 32bit projid blockage (since on-disk format doesn't support these)

Revision 1.441.2.2036.2.60  2010/08/25 10:03:22  glen
- lvm 2.02.28, is too old or needs sysfs_scan = 0 to recognize devices

Revision 1.441.2.2036.2.59  2010/08/17 06:29:49  arekm
- up to 2.6.27.51

Revision 1.441.2.2036.2.58  2010/05/08 17:34:55  glen
- add grub2 hook, generate initrd in %posttrans

Revision 1.441.2.2036.2.57  2010/05/08 17:28:16  glen
- up to 2.6.27.46

Revision 1.441.2.2036.2.56  2010/02/01 11:19:20  hawk
- updated to 2.6.27.45

Revision 1.441.2.2036.2.55  2010/01/25 22:05:53  glen
- up to 2.6.27.44

Revision 1.441.2.2036.2.54  2009/12/19 08:46:48  arekm
- up to 2.6.27.42

Revision 1.441.2.2036.2.53  2009/12/09 08:04:39  arekm
- up to 2.6.27.41

Revision 1.441.2.2036.2.52  2009/11/10 11:08:24  arekm
- up to 2.6.27.39

Revision 1.441.2.2036.2.51  2009/10/30 17:36:20  glen
- move -doc files to %{_docdir}

Revision 1.441.2.2036.2.50  2009/10/30 17:06:58  glen
- caps

Revision 1.441.2.2036.2.49  2009/10/26 13:17:55  glen
- minimum udev: 081 (Documentation/Changes)

Revision 1.441.2.2036.2.48  2009/10/26 13:02:13  glen
- as usual, hawk thinks of himself only

Revision 1.441.2.2036.2.47  2009/10/23 17:58:47  hawk
- release 2, newer vserver patch

Revision 1.441.2.2036.2.46  2009/10/23 08:57:04  arekm
- up to 2.6.27.38

Revision 1.441.2.2036.2.45  2009/10/13 13:47:31  arekm
- up to 2.6.27.37

Revision 1.441.2.2036.2.44  2009/10/06 08:20:10  arekm
- up to 2.6.27.36

Revision 1.441.2.2036.2.43  2009/09/24 18:47:31  arekm
- up to 2.6.27.35

Revision 1.441.2.2036.2.42  2009/09/17 15:40:52  arekm
- don't strip vmlinux*

Revision 1.441.2.2036.2.41  2009/09/17 08:31:40  arekm
- http://vserver.13thfloor.at/Experimental/patch-2.6.27.33-vs2.3.0.36.6.diff

Revision 1.441.2.2036.2.40  2009/09/16 06:28:43  arekm
- up to 2.6.27.34

Revision 1.441.2.2036.2.39  2009/09/13 22:38:57  hawk
- no "ltm" in name for Titanium

Revision 1.441.2.2036.2.38  2009/09/10 10:53:21  arekm
- up to 2.6.27.33

Revision 1.441.2.2036.2.37  2009/09/09 18:28:53  arekm
- rel 2; fix ocfs2 build

Revision 1.441.2.2036.2.36  2009/09/09 06:39:55  arekm
- up to 2.6.27.32

Revision 1.441.2.2036.2.35  2009/09/03 07:59:47  arekm
- kernel-ltm as long term maintainership kernel (name changed to have two kernels on th)

Revision 1.441.2.2036.2.34  2009/08/17 19:44:18  arekm
- up to 2.6.27.31

Revision 1.441.2.2036.2.33  2009/08/17 06:35:37  arekm
- up to 2.6.27.30 (doesn't build - new version will be released shortly by upstream)

Revision 1.441.2.2036.2.32  2009/08/13 20:55:29  arekm
- local root fix (http://lwn.net/Articles/347006/)

Revision 1.441.2.2036.2.31  2009/08/01 21:00:10  hawk
- updated to 2.6.27.29

Revision 1.441.2.2036.2.30  2009/07/28 10:20:07  arekm
- update (seem no real changes)

Revision 1.441.2.2036.2.29  2009/07/25 08:46:56  arekm
- up to 2.6.27.28 (but in reality no changes for us)

Revision 1.441.2.2036.2.28  2009/07/20 06:22:43  arekm
- rel 2; fix MMAP_MIN_ADDR

Revision 1.441.2.2036.2.27  2009/07/20 05:57:19  adamg
- one more security note for 2.6.27.27

Revision 1.441.2.2036.2.26  2009/07/20 05:50:11  adamg
- updated to 2.6.27.27 (fixes CVE-2009-1895, CVE-2009-1897)
- -md_driver_fix.patch applied upstream
- release 1

Revision 1.441.2.2036.2.25  2009/07/12 15:08:30  hawk
- small_fixes patch is back, my mistake

Revision 1.441.2.2036.2.24  2009/07/11 22:02:04  hawk
- fix for drivers/md/dm.c patch in 2.6.27.26

Revision 1.441.2.2036.2.23  2009/07/11 21:15:30  hawk
- release 2, kernel-small_fixes.patch no longer needed

Revision 1.441.2.2036.2.22  2009/07/10 14:17:02  hawk
- updated to 2.6.27.26

Revision 1.441.2.2036.2.21  2009/06/29 00:37:44  glen
- typo

Revision 1.441.2.2036.2.20  2009/06/19 10:35:43  charles
- up to 2.6.27.25

Revision 1.441.2.2036.2.19  2009/06/03 12:49:13  arekm
- update vserver patch to 2.6.27.24-vs2.3.0.36.6

Revision 1.441.2.2036.2.18  2009/05/20 06:44:00  arekm
- up to 2.6.27.24

Revision 1.441.2.2036.2.17  2009/05/03 10:54:02  charles
- updated to 2.6.27.22
- rm outdated -netns-inet6-tw.patch
- added -atom-coretemp.patch

Revision 1.441.2.2036.2.16  2009/04/06 21:49:46  charles
- updated to 2.6.27.21

Revision 1.441.2.2036.2.15  2009/03/17 10:21:12  arekm
- up to 2.6.27.20

Revision 1.441.2.2036.2.14  2009/02/21 00:00:26  hawk
- updated to 2.6.27.19

Revision 1.441.2.2036.2.13  2009/02/17 18:54:44  arekm
- up to 2.6.17.28

Revision 1.441.2.2036.2.12  2009/02/13 07:51:49  arekm
- up to 2.6.27.17

Revision 1.441.2.2036.2.11  2009/02/07 09:41:23  arekm
- up to 2.6.27.15

Revision 1.441.2.2036.2.10  2009/02/03 21:47:53  arekm
- rel 2

Revision 1.441.2.2036.2.9  2009/02/03 21:06:54  arekm
- backport touchpad fixes

Revision 1.441.2.2036.2.8  2009/02/02 19:01:22  adamg
- updated to 2.6.27.14

Revision 1.441.2.2036.2.7  2009/01/25 02:23:13  adamg
- updated to 2.6.27.13

Revision 1.441.2.2036.2.6  2009/01/18 19:37:18  adamg
- updated to 2.6.27.12

Revision 1.441.2.2036.2.5  2009/01/17 09:10:03  lmasko
- TuxOnIce up to 3.0-rc8.

Revision 1.441.2.2036.2.4  2009/01/14 18:38:46  arekm
- up to 2.6.27.11

Revision 1.441.2.2036.2.3  2009/01/04 22:06:35  blues
- rel.3 - rebuild with fixed vserver patch

Revision 1.441.2.2036.2.2  2008/12/31 16:33:57  baggins
- removed no longer needed TOI patches

Revision 1.441.2.2036.2.1  2008/12/30 23:41:23  baggins
- rel 2
- added bunch of SCSI DH fixes to small_fixes patch

Revision 1.441.2.2036  2008/12/18 19:19:34  arekm
- up to 2.6.27.10

Revision 1.441.2.2035  2008/12/17 21:50:04  arekm
- ifb is the way to go (sorry, imq broken)

Revision 1.441.2.2034  2008/12/16 19:19:28  hawk
- ehh, really revert include/config stuff, I need more sleep
- release 3

Revision 1.441.2.2033  2008/12/16 18:02:20  hawk
- revert providing include/config/kernel.release, breaks building kernel
  releated packages
- release 2

Revision 1.441.2.2032  2008/12/15 21:11:06  pluto
- provide include/config/kernel.release (e.g. kvm uses it).
- compile cp+rm into mv.

Revision 1.441.2.2031  2008/12/14 09:05:17  arekm
- up to 2.6.27.9

Revision 1.441.2.2030  2008/12/13 20:33:58  baggins
- rel 2
- ATM: CVE-2008-5079: duplicate listen() on socket corrupts the vcc table
- af_unix: netns: fix problem of return value
- fixed regressions in CIFS, lib/idr.c, FASYNC handling, 32-bit pagemap

Revision 1.441.2.2029  2008/12/06 00:54:01  arekm
- rel 1

Revision 1.441.2.2028  2008/12/05 23:08:16  baggins
- 2.6.27.8 [CVE-2008-5300]

Revision 1.441.2.2027  2008/12/04 19:12:20  arekm
- rel 5 (xfs fixes, rtc compiled in (previously as module); ipv6 oops fix)

Revision 1.441.2.2026  2008/12/04 09:48:29  baggins
- fix twsk_net() NULL pointer dereference in __inet6_check_established

Revision 1.441.2.2025  2008/12/04 08:19:43  arekm
- patch-2.6.27.6-vs2.3.0.36.2.diff used now

Revision 1.441.2.2024  2008/12/01 22:28:37  baggins
- some levels of Security by Obscurity are not acceptable,
  don't let grsecurity remove _useful_ informations from /proc

Revision 1.441.2.2023  2008/11/27 16:09:16  baggins
- LSI MPT Fusion driver v4.00.43.00

Revision 1.441.2.2022  2008/11/26 19:58:33  pluto
- source7 collects Kbuilds now.

Revision 1.441.2.2021  2008/11/26 00:11:48  baggins
- rel 3
- 16 cpus is not enough, up to 32

Revision 1.441.2.2020  2008/11/21 12:32:12  arekm
- rel 2; vserver issue fixed by using fixes util-vserver init scripts

Revision 1.441.2.2019  2008/11/21 12:13:57  arekm
- conflicts with util-vserver tools with broken vprocunhide

Revision 1.441.2.2018  2008/11/21 11:59:19  glen
- alt_kernel fixes from LINUX_2_6_16
- use own builddir

Revision 1.441.2.2017  2008/11/21 07:52:49  arekm
- rel 1.1 because vserver is broken (/proc problems)

Revision 1.441.2.2016  2008/11/20 23:37:07  zbyniu
- up to 2.6.27.7

Revision 1.441.2.2015  2008/11/18 09:52:48  blues
- previous commit version fixed

Revision 1.441.2.2014  2008/11/17 21:28:31  blues
- 2.6.27.6 fixes CVE-2008-5025

Revision 1.441.2.2013  2008/11/14 00:18:48  glen
- binutils at least 2.18 required to build

Revision 1.441.2.2012  2008/11/13 20:26:13  arekm
- rel 3

Revision 1.441.2.2011  2008/11/13 20:07:30  pluto
- patch from autofs-5.0.4 tarball.

Revision 1.441.2.2010  2008/11/13 19:31:58  arekm
- rel 2

Revision 1.441.2.2009  2008/11/13 19:28:42  arekm
- up to 2.6.27.6 [fixes: CVE-2008-5025]

Revision 1.441.2.2008  2008/11/13 18:13:24  glen
- adapter

Revision 1.441.2.2007  2008/11/10 01:12:08  glen
- add modules.*.bin ghosts

Revision 1.441.2.2006  2008/11/08 00:46:39  arekm
- up to 2.6.27.5

Revision 1.441.2.2005  2008/11/07 14:36:48  tommat
- rel 2, working squashfs

Revision 1.441.2.2004  2008/11/04 18:48:37  zbyniu
- fix _alt_kernel logic, thnx glen

Revision 1.441.2.2003  2008/11/04 13:10:05  zbyniu
- force _alt_kernel "-rescuecd" for rescuecd

Revision 1.441.2.2002  2008/11/04 11:58:02  arekm
- typo

Revision 1.441.2.2001  2008/11/04 08:32:08  arekm
- try to fix ppc builds for external modules (untested yet)

Revision 1.441.2.2000  2008/11/03 23:11:47  arekm
- rel 1

Revision 1.441.2.1999  2008/11/03 22:26:13  sparky
- apply patch141 (unionfs-apparmor) only when building with apparmor

Revision 1.441.2.1998  2008/11/03 22:07:34  areq
- rescuecd without apparmor

Revision 1.441.2.1997  2008/11/03 21:09:37  zbyniu
- updated patches: layer7, ipvs-nfct, zph

Revision 1.441.2.1996  2008/11/03 17:37:21  arekm
- prepare bconds for being new default Th kernel

Revision 1.441.2.1995  2008/11/03 01:17:20  zbyniu
- added patch for apparmor vfs changes in unionfs

Revision 1.441.2.1994  2008/11/01 13:02:58  arekm
- builds with smack enabled; unionfs still problematic

Revision 1.441.2.1993  2008/10/30 08:51:57  arekm
- include firmware files

Revision 1.441.2.1992  2008/10/29 22:45:28  zbyniu
- added apparmor patch to build with grsec_full, and with common aa changes
- linux-2.6-apparmor-caps.patch obsoleted

Revision 1.441.2.1991  2008/10/29 00:46:16  zbyniu
- kernel-grsec_fixes.patch is back

Revision 1.441.2.1990  2008/10/27 07:04:39  pluto
- CVE note for 2.6.27.4.

Revision 1.441.2.1989  2008/10/26 22:08:57  mguevara
- up to 2.6.27.4-0.1; builds --without grsecurity
  ext[234]: Avoid printk floods in the face of directory corruption (CVE-2008-3528)

Revision 1.441.2.1988  2008/10/24 09:33:26  pluto
- vserver patch for 2.6.27.3.

Revision 1.441.2.1987  2008/10/23 14:17:01  mguevara
- up to 2.6.27.3-0.1; builds --without tuxonice, vserver and grsecurity

Revision 1.441.2.1986  2008/10/23 00:43:31  mguevara
- added back the (updated) kernel-wrr.patch /patch52/

Revision 1.441.2.1985  2008/10/20 19:32:10  pluto
- wrr needs port to 2.6.27 net-api.

Revision 1.441.2.1984  2008/10/20 17:59:10  qboosh
- no pre/rc versions from this branch - so drop such macros and be more distfiles-friendly
- dropped excessive _underscores

Revision 1.441.2.1983  2008/10/20 13:55:17  pluto
- reenable esfq patch for testing.

Revision 1.441.2.1982  2008/10/20 13:31:14  sparky
- use kernel-patches.config, few cosmetics

Revision 1.441.2.1981  2008/10/20 10:18:56  pluto
- reenable updated pf_ring patch.

Revision 1.441.2.1980  2008/10/19 22:55:58  sparky
- use common kernel-{powerpc,x86}.config files

Revision 1.441.2.1979  2008/10/19 20:25:52  sparky
- kernel-config.awk: specify prefered archs as list

Revision 1.441.2.1978  2008/10/19 19:15:22  sparky
- up to 2.6.27.2
- disabled broken patches
- rename char/drm to gpu

Revision 1.441.2.1977  2008/10/17 09:54:37  pluto
- O: s/mISDN/kernel%{_alt_kernel}-isdn-mISDN/

Revision 1.441.2.1976  2008/10/17 09:43:13  pluto
- O: kernel-net-ar81, mISDN.

Revision 1.441.2.1975  2008/10/17 09:30:07  pluto
- jump to 2.6.27.1, grsecurity,vserver,tuxonice,ipvs-nfct patchset needs update.
- previous kernel state branched as LINUX_2_6_26.

Revision 1.441.2.1974  2008/10/13 12:42:19  blues
- CVE notes for 2.6.26.4

Revision 1.441.2.1973  2008/10/09 09:21:58  zbyniu
- up to 2.6.26.6 (devil's edition)

Revision 1.441.2.1972  2008/09/28 23:31:22  sparky
- disable pcmcia when building without pcmcia, duh!

Revision 1.441.2.1971  2008/09/28 14:40:32  sparky
- when building with debug die if script found any redefined values

Revision 1.441.2.1970  2008/09/28 11:56:58  sparky
- add config change tracking, script warns if make oldconfig has redefined
  any option

Revision 1.441.2.1969  2008/09/27 22:37:44  sparky
- no more TuneUpConfigForIX86, ix86 subarchitecture optimization info is
  specified in kernel-i386.config
- pae moved to imporatnt.config

Revision 1.441.2.1968  2008/09/27 00:27:17  sparky
- fix cross-building when host is ppc or ppc64
- define HOSTCC

Revision 1.441.2.1967  2008/09/26 21:13:54  sparky
- remove useless CONFIG_TOI=n on ppc, it's value is allways set to 'y' if
  CONFIG_TOI_CORE is set

Revision 1.441.2.1966  2008/09/26 21:10:00  sparky
- allow building UP kernel (on request only), there still are features broken
  on SMP, like hibernation in powerpc

Revision 1.441.2.1965  2008/09/26 19:14:59  sparky
- CONFIG_DEBUG_SLAB_LEAK=y when building debug kernel

Revision 1.441.2.1964  2008/09/26 19:13:55  sparky
- pass all the config files through kernel-config.awk
- tested on number of different bcond combinations the result is the same as before

Revision 1.441.2.1963  2008/09/25 10:17:51  pluto
- toshiba acpi patch updated.

Revision 1.441.2.1962  2008/09/25 08:37:30  pluto
- O: kernel-misc-uvc.

Revision 1.441.2.1961  2008/09/25 08:30:53  pluto
- O: kernel-misc-acer_acpi.

Revision 1.441.2.1960  2008/09/25 08:27:53  pluto
- O: kernel-net-rt61.

Revision 1.441.2.1959  2008/09/23 12:29:26  pluto
- typo.

Revision 1.441.2.1958  2008/09/23 12:09:31  zbyniu
- netfilter modules back

Revision 1.441.2.1957  2008/09/23 12:05:34  pluto
- drop bootsplash, it works only with vesafb which is disabled in pld.
- update fbcondecor bcond and config tuning.

Revision 1.441.2.1956  2008/09/23 11:30:11  pluto
- update taho9xx patch.

Revision 1.441.2.1955  2008/09/22 11:37:57  pluto
- fix uvesafb_vbe_getmodes() for some broken bioses.
- prevent black-screen-of-death when vga=.. is passed w/o any builtin vesa driver.

Revision 1.441.2.1954  2008/09/19 12:07:06  pluto
- sources += arch/*/kvm

Revision 1.441.2.1953  2008/09/19 01:43:06  sparky
- multiarch.config takes precedence over arch-specific config

Revision 1.441.2.1952  2008/09/19 00:43:57  sparky
- use kernel-config.awk; drop python dependancy

Revision 1.441.2.1951  2008/09/18 09:28:41  pluto
- vs22: not applicable, not usable, buuum!

Revision 1.441.2.1950  2008/09/16 20:32:48  blues
- CVE note

Revision 1.441.2.1949  2008/09/12 12:34:52  pluto
- updated to 2.6.26.5
  [fix: TKADV2008-007/CVE-2008-3792, CVE-2008-4445, CVE-2008-4113]

Revision 1.441.2.1948  2008/09/12 09:29:27  pluto
- drop kernel-pom-ng-set.patch and use xtables-addons-1.5.7 from now.

Revision 1.441.2.1947  2008/09/11 21:18:52  pluto
- unionfs patch updated.

Revision 1.441.2.1946  2008/09/08 20:05:21  pluto
- ahci patch updated. now you can use marvell_enable=0 to prevent device takeover.

Revision 1.441.2.1945  2008/09/08 15:26:58  pluto
- disable -tproxy patch with suitable note.

Revision 1.441.2.1944  2008/09/08 12:46:03  pluto
- tuxonice updated to 3.0-rc7a.

Revision 1.441.2.1943  2008/09/08 12:07:19  pluto
- new vserver patch (patch-2.6.26.3-vs2.3.0.35.5.diff).
- unionfs patch needs update but download doesn't work.

Revision 1.441.2.1942  2008/09/08 09:23:10  pluto
- kernel-routes.patch updated.

Revision 1.441.2.1941  2008/09/08 09:03:10  pluto
- fetch 2.6.26.3 stable.

Revision 1.441.2.1940  2008/09/08 08:52:21  pluto
- drop kabi idea like in LINUX_2_6_25 branch.

Revision 1.441.2.1939  2008/09/06 10:42:27  pluto
- move kernel/bounds.c to module-build subpackage.
  build scripts use it:
  (...)
  CC      kernel/bounds.s
  GEN     include/linux/bounds.h

Revision 1.441.2.1938  2008/09/06 10:29:10  pluto
- fix ahci bug (don't cover pata_marvell devices).

Revision 1.441.2.1937  2008/07/14 23:57:01  areq
- commented patches demanding update
- now build on i686 --without vserver --without grsec_minimal --without grsecurity
                    --without tuxonice --without reiser4 --without imq

Revision 1.441.2.1936  2008/07/14 19:20:02  arekm
- initial up to 2.6.26

Revision 1.441.2.1935  2008/07/14 10:34:50  arekm
- up to 2.6.25.11

Revision 1.441.2.1934  2008/07/03 09:17:13  glen
- use underscore in kernel release for KABI to be a lit less misleading

Revision 1.441.2.1933  2008/07/03 08:53:23  arekm
- up to 2.6.25.10

Revision 1.441.2.1932  2008/07/02 14:19:03  glen
- add vermagic provide

Revision 1.441.2.1931  2008/06/28 17:43:44  shadzik
- rel 4

Revision 1.441.2.1930  2008/06/28 15:50:13  arekm
- rel 3; abi 2; rebuild with gcc 4.3.1

Revision 1.441.2.1929  2008/06/25 22:33:06  arekm
- rel 2; fix vserver bug where signals from one guest could reach other guest

Revision 1.441.2.1928  2008/06/25 21:39:02  vip
- disable tproxy path when w/o vserver (it fails to apply)

Revision 1.441.2.1927  2008/06/25 11:02:10  arekm
- up to 2.6.25.9; backport security= option

Revision 1.441.2.1926  2008/06/23 20:11:16  arekm
- rel 2; fix pcmcia split (no duplication of files; move b1pcmcia to pcmcia subpkg)

Revision 1.441.2.1925  2008/06/23 20:05:42  arekm
- uboot-mkimage neede on ppc build (arch/powerpc/boot/wrapper uses it)

Revision 1.441.2.1924  2008/06/23 09:29:59  arekm
- KABI 1 since this is new kernel in th

Revision 1.441.2.1923  2008/06/23 08:56:39  arekm
- fix ppc build

Revision 1.441.2.1922  2008/06/22 19:21:48  arekm
- up to 2.6.25.8

Revision 1.441.2.1921  2008/06/17 04:40:34  glen
- correct commit log

Revision 1.441.2.1920  2008/06/16 21:33:40  arekm
- up to 2.6.25.7

Revision 1.441.2.1919  2008-06-09 20:22:25  arekm
- vs2.3 based on patch-2.6.25.4-vs2.3.0.34.11.diff

Revision 1.441.2.1918  2008-06-09 20:05:32  arekm
- 2.6.25.6

Revision 1.441.2.1917  2008-06-09 15:51:52  arekm
- rel 1.1

Revision 1.441.2.1916  2008-06-08 10:24:44  arekm
- mention apparmor in release

Revision 1.441.2.1915  2008-06-07 10:59:53  arekm
- up to 2.6.25.5 (CVE-2008-1673)

Revision 1.441.2.1914  2008-05-29 14:20:20  zbyniu
- shy apparmor back, needs testing so bconded

Revision 1.441.2.1913  2008-05-26 15:45:44  zbyniu
- bcond myown; fixed %files on sparc

Revision 1.441.2.1912  2008-05-24 10:17:18  zbyniu
- symbol consistency between packages completed

Revision 1.441.2.1911  2008-05-23 22:03:46  zbyniu
- vserver and pax (in grsec_full) updated; rel 2

Revision 1.441.2.1910  2008-05-23 11:56:58  zbyniu
- old pom-ng patches: TARPIT, IPMARK, geoip, ipp2p, use new ported versions from external spec - xtables-addons
- ipt_SAME module lost, needed?; rel 1

Revision 1.441.2.1909  2008-05-21 17:15:00  zbyniu
- bcond without regparm not needed anymore

Revision 1.441.2.1908  2008-05-20 20:13:44  zbyniu
- grsec_full ready, owner-xid and imq back

Revision 1.441.2.1907  2008-05-19 17:32:37  zbyniu
- fix _alt_kernel in %post, now works as expected; rel 0.2

Revision 1.441.2.1906  2008-05-19 10:27:10  zbyniu
- esfq updated, patch531 obsoleted
- grsec_full updated, linux-2.6-grsec-caps.patch is back, kernel-grsec_fixes.patch needs update

Revision 1.441.2.1905  2008-05-18 21:08:49  glen
- PAE needs pentium pro or above according to wikipedia

Revision 1.441.2.1904  2008-05-18 19:07:09  glen
- pae is %ix86 only said zbyniu

Revision 1.441.2.1903  2008-05-18 00:13:38  zbyniu
- patches update

Revision 1.441.2.1902  2008-05-16 12:00:28  zbyniu
- typo

Revision 1.441.2.1901  2008-05-16 09:04:37  zbyniu
- updated to 2.6.25.4
- tproxy patch depends on vserver, so don't use with rescue kernel

Revision 1.441.2.1900  2008-05-14 21:47:32  dzeus
- added ZPH support (for SQUID3)

Revision 1.441.2.1899  2008-05-14 17:36:03  zbyniu
- tproxy patch added, applied after vserver because of small conflicts

Revision 1.441.2.1898  2008-05-14 09:27:56  lmasko
- Cleaned mess in geninitrd line.

Revision 1.441.2.1897  2008-05-12 21:38:59  zbyniu
- %files updated; ipt_ROUTE is back; rel 0.3

Revision 1.441.2.1896  2008-05-12 14:17:34  zbyniu
- abi and sk78lin moved to external specs
- end of my little psychological test, conclusion: nobody read this spec since 7 months ;->

Revision 1.441.2.1895  2008-05-10 10:52:42  zbyniu
- "make everything as simple as possible, but not simpler"

Revision 1.441.2.1894  2008-05-10 08:21:34  zbyniu
- up to 2.6.25.3; TODO updated
- ppc-export-copy_page.patch in mainline
- ppc & ppc64 crosscompilation corrected

Revision 1.441.2.1893  2008-05-08 11:20:00  zbyniu
- saa7134-oss.ko no longer exists
- ipt_ROUTE needs update; builds w/o imq @686

Revision 1.441.2.1892  2008-05-08 09:37:01  zbyniu
- cleanup

Revision 1.441.2.1891  2008-05-07 23:05:57  zbyniu
- start update to 2.6.25.2; 2.6.24 now on branch LINUX_2_6_24

Revision 1.441.2.1890  2008-05-07 10:59:18  zbyniu
- up to 2.6.24.7; rel 1

Revision 1.441.2.1889  2008-05-07 10:08:12  zbyniu
- remove unnecessary dir with dead symlink

Revision 1.441.2.1888  2008-05-06 07:44:40  zbyniu
- suffix -pae to alt_kernel if with_pae
- additional symlinks in /boot if alt_kernel

Revision 1.441.2.1887  2008-05-05 23:10:56  zbyniu
- up to 2.6.24.6
- reverted "little fix for /boot symlinks (support alt_kernel, drop .old trash)" from rel 1.441.2.1862

Revision 1.441.2.1886  2008-05-05 07:48:05  pluto
- move saa7134-oss.ko to sound-oss subpackage.

Revision 1.441.2.1885  2008-04-24 10:12:51  zbyniu
- updated fbsplash, renamed to fbcondecor as patch/project name

Revision 1.441.2.1884  2008-04-23 19:05:27  zbyniu
- typo

Revision 1.441.2.1883  2008-04-23 18:51:15  glen
- %install not %build (found by qyon)

Revision 1.441.2.1882  2008-04-23 10:21:27  glen
- sorted EA items

Revision 1.441.2.1881  2008-04-23 09:58:16  zbyniu
- better conditions for pax/no-pax & tuxonice configs

Revision 1.441.2.1880  2008-04-23 09:40:54  glen
- better explanation (English)

Revision 1.441.2.1879  2008-04-23 09:34:36  glen
- package build,source %ghost as files (this was soooo hard change to make)

Revision 1.441.2.1878  2008-04-23 09:30:15  hawk
- revert killing %ghost /lib/modules/%{kernel_release}/{build,source},
  screw broken directory deps, -EIDONTCAREANYMORE

Revision 1.441.2.1877  2008-04-21 14:27:36  pluto
- don't req. -headers in -doc.

Revision 1.441.2.1876  2008-04-21 13:54:30  zbyniu
- please don't break Makefiles; make archclean is the way

Revision 1.441.2.1875  2008-04-21 10:34:19  hawk
- killed creating arch/{i386,x86_64}/boot symlinks in makefiles, causes broken
  directory deps in -source subpackage
- killed %ghost /lib/modules/%{kernel_release}/{build,source}, causes broken
  directory deps like /home/users/builder/rpm/BUILD/linux-2.6.24 in main
  kernel package

Revision 1.441.2.1874  2008-04-21 03:07:31  zbyniu
- cleanup in %install

Revision 1.441.2.1873  2008-04-20 19:01:52  zbyniu
- no gadgets on rescue

Revision 1.441.2.1872  2008-04-20 18:42:08  zbyniu
- up to 2.6.24.5

Revision 1.441.2.1871  2008-04-20 17:55:32  areq
- for rescue:
        CONFIG_BLK_DEV_LOOP=y
        CONFIG_ISO9660_FS=y
        CONFIG_NLS_UTF8=y

Revision 1.441.2.1870  2008-04-19 15:17:22  hawk
- killed two missing version macros

Revision 1.441.2.1869  2008-04-15 12:00:30  zbyniu
- grsec_caps temporary disabled

Revision 1.441.2.1868  2008-04-15 10:34:30  zbyniu
- modules dependent on pcmcia/alsa moved to subpackages (not all done); rel 0.3

Revision 1.441.2.1867  2008-04-12 22:40:47  zbyniu
- netfilter modules: u32, connlimit and time now in mainline, ported to xtables

Revision 1.441.2.1866  2008-04-12 00:03:07  zbyniu
- _alt_kernel cleanup

Revision 1.441.2.1865  2008-04-09 13:58:59  shadzik
- german fixes

Revision 1.441.2.1864  2008-04-09 13:47:33  shadzik
- missing comma in german description

Revision 1.441.2.1863  2008-04-09 12:52:17  pluto
- s/subname/__alt_kernel/

Revision 1.441.2.1862  2008-04-09 11:33:29  pluto
- backport vesa related fix from 2.6.25-rcX.
- little fix for /boot symlinks (support alt_kernel, drop .old trash).

Revision 1.441.2.1861  2008-04-09 01:04:27  zbyniu
- merged KABI, module-build symlinks from LINUX_2_6_22

Revision 1.441.2.1860  2008-04-08 23:44:18  zbyniu
- macro %{Features}, de.UTF-8 summaries and descs (from kernel-desktop.spec)

Revision 1.441.2.1859  2008-03-30 20:02:02  zbyniu
- experimental vserver 2.3 patch for 2.6.24
- linux-2.6-vs2.1-suspend2.patch obsoleted; rel 0.2

Revision 1.441.2.1858  2008-03-25 01:11:23  zbyniu
- up to 2.6.24.4, if_addrlabel.h.patch obsoleted

Revision 1.441.2.1857  2008-03-20 13:18:24  pluto
- NOTE cleanup.

Revision 1.441.2.1856  2008-03-20 11:41:54  zbyniu
- vesafbs cleanups

Revision 1.441.2.1855  2008-03-19 14:29:49  zbyniu
- new define defconfig, s@arch/%{target_arch_dir}/defconfig@%{defconfig}@g

Revision 1.441.2.1854  2008-03-18 00:51:13  zbyniu
- vesafb-tng project renamed to uvesafb for .24

Revision 1.441.2.1853  2008-03-17 22:09:19  zbyniu
- fbsplash bcond repaired

Revision 1.441.2.1852  2008-03-13 19:31:51  zbyniu
- rtsp-conntrack/nat is back

Revision 1.441.2.1851  2008-03-13 16:16:03  zbyniu
- kill more modules if with rescuecd

Revision 1.441.2.1850  2008-03-13 00:31:06  zbyniu
- support for bzip2/lzma packed kernel/initrd (for rescuecd)

Revision 1.441.2.1849  2008-03-12 19:44:52  zbyniu
- force w/o abi grsec vserver tuxonice if with rescuecd

Revision 1.441.2.1848  2008-03-12 02:00:38  zbyniu
- idea: build kernel for rescuecd from this spec (as rescuecd bcond)
- first steps, builds, not tested

Revision 1.441.2.1847  2008-02-28 13:11:56  zbyniu
- up to 2.6.24.3, kernel-if_addrlabel.h.patch reverts one small part

Revision 1.441.2.1846  2008-02-26 16:10:58  zbyniu
- one more missing x86_32 header

Revision 1.441.2.1845  2008-02-26 02:40:50  zbyniu
- squashfs and imq patches updated; cleanups; rel 0.5

Revision 1.441.2.1844  2008-02-26 02:01:28  zbyniu
- kernel-grsec_fixes.patch added; hardening grsec options if with pax

Revision 1.441.2.1843  2008-02-25 23:01:04  zbyniu
- grsec_full.patch is ready; PaX config magic cleanup; rel 0.4

Revision 1.441.2.1842  2008-02-21 13:00:44  mguevara
- 2.6.24.2-0.3 aka "iptables doesn't hang my machine"
- updated patch300 kernel-routes-2.6.24-15.diff

Revision 1.441.2.1841  2008-02-12 08:32:05  glen
- R: /sbin/depmod, instead of conflicting on vserver-packages

Revision 1.441.2.1840  2008-02-11 21:05:21  zbyniu
- ppc-export-copy_page.patch added, builds on ppc

Revision 1.441.2.1839  2008-02-11 08:15:22  arekm
- up to 2.6.24.2 (official vmsplice fix)

Revision 1.441.2.1838  2008-02-10 20:56:29  arekm
- vmsplice fixes (local root exploit)

Revision 1.441.2.1837  2008-02-08 22:44:22  glen
- 2.6.24.1 (CVE-2008-0007, CVE-2008-0009/10)

Revision 1.441.2.1836  2008-02-01 23:48:55  zbyniu
- owner-xid.patch is vserver related

Revision 1.441.2.1835  2008-01-31 18:32:15  qboosh
- arch/x86/kernel/asm-offsets_{32,64}.c needed in -module-build

Revision 1.441.2.1834  2008-01-28 18:34:28  qboosh
- missing ifnarchs

Revision 1.441.2.1833  2008-01-28 18:33:39  qboosh
- cleanup

Revision 1.441.2.1832  2008-01-28 18:26:08  qboosh
- s/_target_base_arch_dir/target_arch_dir/ (nothing to do with "base")
- handle ppc* -> powerpc case

Revision 1.441.2.1831  2008-01-28 02:08:53  zbyniu
- info about pax.patch updated, TODO updated, rel 0.3

Revision 1.441.2.1830  2008-01-27 23:13:10  zbyniu
- some changes ported from LINUX_2_6_22 (bcond_without ipv6, ipvs-nfct.patch
  rndis_host-wm5.patch)
- kernel-pom-ng-ROUTE.patch is back

Revision 1.441.2.1829  2008-01-26 15:49:46  arekm
- 2.6.24 final

Revision 1.441.2.1828  2008-01-23 17:15:41  baggins
- removed cpuset-virtualization patch (too much changes in cpuset/cpu hotplug code
	for the patch to make any sense)

Revision 1.441.2.1827  2008-01-23 08:12:45  arekm
- pf_ring patch updated

Revision 1.441.2.1826  2008-01-22 11:15:01  zbyniu
- netfilter modules are back

Revision 1.441.2.1825  2008-01-20 13:02:11  arekm
- fix vserver patches (that was 2.2 version, not 2.3)

Revision 1.441.2.1824  2008-01-20 12:44:35  arekm
- no security dir

Revision 1.441.2.1823  2008-01-20 11:48:42  arekm
- updated reiser4 patch

Revision 1.441.2.1822  2008-01-20 11:19:07  arekm
- tuxonice patches apply correctly now

Revision 1.441.2.1821  2008-01-20 10:52:32  arekm
- updated suspend2 patch

Revision 1.441.2.1820  2008-01-20 10:40:13  arekm
- builds on x86_64 with --without tuxonice --without reiser4 --without grsecurity

Revision 1.441.2.1819  2008-01-19 23:28:12  arekm
- more

Revision 1.441.2.1818  2008-01-19 17:41:59  glen
- now that there's only main one package, drop version macros, cleanups

Revision 1.441.2.1817  2008-01-19 17:30:55  glen
- merge from LINUX_2_6_22 branch:
- drop dozen of provides, leave only internal deps
- besides by pld policy shouldn't depend on kernel package(s)
- drop now unused/pointless macros
- only netfilter deps left due iptables.spec
- no manual removal of /lib/modules/../modules.* needed, %ghost does that
- netfilter provide with alt kernel support
- droped -net-rndis subpackage
- no chrpath for sources
- reiser4 conflicts conditional

Revision 1.441.2.1816  2008-01-18 16:57:57  arekm
- there is now only single arch dir for x86 and x86_64; fix updating configs for these arches

Revision 1.441.2.1815  2008-01-18 15:02:27  arekm
- up for 2.6.24rc8; some patches updated; tuxonice, grsec need update

Revision 1.441.2.1814  2008-01-04 00:33:30  hawk
- added %{subname} to kernel_release to allow simultaneous installation
  of normal and grsecurity kernel (there was conflict on
  /lib/modules/%{version}-%{release})

Revision 1.441.2.1813  2007-12-12 11:42:21  glen
- add kernel-modpost_warn.patch

Revision 1.441.2.1812  2007-11-28 08:59:02  mguevara
- dropped single bcond - use --define cmd line switch instead

Revision 1.441.2.1811  2007-11-28 01:30:08  glen
- more spelling

Revision 1.441.2.1810  2007-11-28 01:29:26  glen
- arghhh, i can do -j69 on my UP machine if i want, spelling

Revision 1.441.2.1809  2007-11-28 00:39:38  mguevara
- up to 2.6.23.9-0.1 NFY
- introduced single bcond
- updated and renamed linux-2.6.19-imq1.diff -> kernel-imq.patch

Revision 1.441.2.1808  2007-11-19 11:37:33  arvenil
- patch 220 (kernel-block.patch) already in sources

Revision 1.441.2.1807  2007-11-16 22:30:19  mguevara
- up to 2.6.23.8-0.1, still not ready

Revision 1.441.2.1806  2007-11-01 20:35:47  blues
- removed ieee80211_rate patch

Revision 1.441.2.1805  2007/10/29 21:28:09  arekm
- fix from git (fixes stex related problems)

Revision 1.441.2.1804  2007/10/29 13:58:29  vip
- copy the ieee80211_key.h for LINUX_2_6 too

Revision 1.441.2.1803  2007/10/29 11:57:18  blues
- merged from LINUX_2_6_22

Revision 1.441.2.1802  2007/10/27 18:55:26  blues
- ieee80211_rate.h is required by iwlwifi - copy it to headers

Revision 1.441.2.1801  2007/10/13 16:26:47  zbyniu
- kernel-suspend2.config -> kernel-tuxonice.config

Revision 1.441.2.1800  2007/10/12 13:19:24  zbyniu
- suspend2 is back, project renamed to tuxoice

Revision 1.441.2.1799  2007/10/10 22:47:42  zbyniu
- added kernel-config.py support

Revision 1.441.2.1798  2007/10/10 09:48:32  zbyniu
- up to 2.6.23 final; squashfs is back; linux-alpha-isa.patch in sources

Revision 1.441.2.1797  2007/10/09 13:11:40  zbyniu
- let's play, 2.6.23-rc9; 2.6.22 now on LINUX_2_6_22 branch

Revision 1.441.2.1796  2007/10/08 11:37:31  zbyniu
- rel 3

Revision 1.441.2.1795  2007/10/07 21:53:33  baggins
- rel 2

Revision 1.441.2.1794  2007/10/06 09:51:33  baggins
- rel 1.1
- vserver updated to vs2.3.0.26.4

Revision 1.441.2.1793  2007/10/03 15:46:26  arekm
- rel 1

Revision 1.441.2.1792  2007/10/02 12:44:04  zbyniu
- kernel-suspend2-headers.patch added
- linux-2.6-vs2.1-suspend2.patch if with suspend2

Revision 1.441.2.1791  2007/10/02 12:06:45  zbyniu
- kernel-timers.patch now in vserver patch

Revision 1.441.2.1790  2007/10/01 12:45:33  arekm
- rel 0.5; fix vservers oops triggered by ntpd run on host

Revision 1.441.2.1789  2007/09/26 19:17:28  zawadaa
- up to 2.6.22.9
- patch150 alredy in .9

Revision 1.441.2.1788  2007/09/26 11:21:19  baggins
- 2.6.22.8

Revision 1.441.2.1787  2007/09/22 21:54:49  zbyniu
- pom-ng-set is back (snap 20070921)
- white space cleanups
- rel 0.4

Revision 1.441.2.1786  2007/09/22 10:16:29  arekm
- uptated to 2.6.22.7

Revision 1.441.2.1785  2007/09/20 17:49:35  zbyniu
- unionfs 2.1.4; vserver changes for unionfs into patch 141

Revision 1.441.2.1784  2007/09/14 13:53:36  aflinta
- added aic94xx patch with included firmware

Revision 1.441.2.1783  2007/09/13 21:24:33  arekm
- rel 3; fix race instead of symptoms

Revision 1.441.2.1782  2007/09/09 20:36:31  zbyniu
- patch adding support for test xid/nid (vserver) in owner netfilter module

Revision 1.441.2.1781  2007/09/08 18:50:11  zbyniu
- new pax patch, renamed to kernel-pax.patch

Revision 1.441.2.1780  2007/09/03 12:05:24  mguevara
- 2.6.22.6-0.2, introduced vs22 bcond, which enables use of vserver 2.2
  instead of 2.3 line; when vs22 is choosed we should have IPV6 compiled
  as an module; patch102 linux-2.6-vs2.2.patch (re)added

Revision 1.441.2.1779  2007/08/31 11:47:00  tommat
- no net-rndis on sparc
- builds now

Revision 1.441.2.1778  2007/08/31 07:02:10  arekm
- up to 2.6.22.6

Revision 1.441.2.1777  2007/08/30 09:48:05  arekm
- fix oopses on SMP machines when using stex driver

Revision 1.441.2.1776  2007/08/29 07:08:03  zbyniu
- temporary disabled RELOCATABLE if with pax or grsec_full

Revision 1.441.2.1775  2007/08/23 19:25:31  zbyniu
- note about layer7 version

Revision 1.441.2.1774  2007/08/23 01:50:25  zbyniu
- up to 2.6.22.5

Revision 1.441.2.1773  2007/08/21 16:47:10  baggins
- fix source14 md5

Revision 1.441.2.1772  2007/08/21 16:42:58  baggins
- updated to 2.6.22.4 (CVE-2007-3848)

Revision 1.441.2.1771  2007/08/21 15:58:21  baggins
- info for cpuset_virtualization patch

Revision 1.441.2.1770  2007/08/21 15:45:10  baggins
- added unionfs patch

Revision 1.441.2.1769  2007/08/21 15:41:17  baggins
- new netfilter snap date

Revision 1.441.2.1768  2007/08/16 23:41:02  zbyniu
- up to 2.6.22.3

Revision 1.441.2.1767  2007/08/15 22:13:44  zbyniu
- ipt_account is back

Revision 1.441.2.1766  2007/08/15 11:04:09  zbyniu
- ipt_ACCOUNT re-added

Revision 1.441.2.1765  2007/08/15 01:51:49  zbyniu
- pom-ng-rpc is back

Revision 1.441.2.1764  2007/08/13 18:31:03  zbyniu
- pom-ng-rsh.patch is back

Revision 1.441.2.1763  2007/08/13 17:31:28  baggins
- rel 0.2

Revision 1.441.2.1762  2007/08/13 17:18:51  baggins
- added NFS fixes

Revision 1.441.2.1761  2007/08/13 16:13:04  baggins
- squashfs fixed
- sqlzma dropped, patch broken and unfixable (use squashfs_lzma.spec)

Revision 1.441.2.1760  2007/08/13 14:59:06  baggins
- dropped rsh patch, added is as a future todo

Revision 1.441.2.1759  2007/08/13 14:56:46  baggins
- reverted last change

Revision 1.441.2.1758  2007/08/13 14:47:51  baggins
- working on rsh patch

Revision 1.441.2.1757  2007/08/13 14:46:38  baggins
- no netfilter set, sorry, big conflict on headers

Revision 1.441.2.1756  2007/08/13 13:43:36  baggins
- apply set after IPMARK

Revision 1.441.2.1755  2007/08/13 13:40:26  baggins
- IPMARK ok
- one more sk98lin fix
- set in the works

Revision 1.441.2.1754  2007/08/13 13:13:54  baggins
- layer7 done, IPMARK in the works

Revision 1.441.2.1753  2007/08/13 12:53:34  baggins
- PF_RING fixed, layer7 in the works

Revision 1.441.2.1752  2007/08/13 12:06:10  baggins
- fixed sk98lin patch
- PF_RING testing

Revision 1.441.2.1751  2007/08/13 01:50:01  zbyniu
- wrr updated

Revision 1.441.2.1750  2007/08/13 00:24:48  zbyniu
- esfq updated

Revision 1.441.2.1749  2007/08/11 15:06:09  qboosh
- simplified: always use ARCH=, no need for special make cases for sparc

Revision 1.441.2.1748  2007/08/11 12:48:33  zbyniu
- rndis modules now in net/usb not usb/net
- problematic patches commented out; status - builds with grsec_full on ac@amd64

Revision 1.441.2.1747  2007/08/10 23:37:56  zbyniu
- up to 2.6.22.2

Revision 1.441.2.1746  2007/08/09 20:09:58  baggins
- temp. disabled layer7 patch

Revision 1.441.2.1745  2007/08/09 19:29:39  baggins
- fixed 2.6.22 incompatibilities on POM patches

Revision 1.441.2.1744  2007/08/09 00:59:23  baggins
- disabled more broken patches (ipv4options, ROUTE and dk98lin driver)

Revision 1.441.2.1743  2007/08/09 00:46:41  baggins
- disabled kernel-pom-ng-mms-conntrack-nat.patch (needs update)

Revision 1.441.2.1742  2007/08/09 00:41:56  baggins
- squashfs disabled, needs update

Revision 1.441.2.1741  2007/08/09 00:32:51  baggins
- x86_64 config updated

Revision 1.441.2.1740  2007/08/09 00:24:47  baggins
- disabled squashfs lzma patch

Revision 1.441.2.1739  2007/08/09 00:10:39  baggins
- TODO: i386 config updated

Revision 1.441.2.1738  2007/08/07 20:06:31  baggins
- removed outdated sata-promise-pata-ports
- updated sk98lin, toshiba_acpi
- enabled squashfs lzma
- updated i386 config

Revision 1.441.2.1737  2007/08/07 18:05:06  baggins
- dropped obsolete patches
- updated reiser4 patch

Revision 1.441.2.1736  2007/08/07 16:10:20  mguevara
- initial 2.6.22.1 update - not yet ready, todo update

Revision 1.441.2.1735  2007/07/23 21:30:20  arekm
- up to 2.6.21.6

Revision 1.441.2.1734  2007/07/17 07:24:50  matkor
- bcm43xx fixes added. Release 0.2.

Revision 1.441.2.1733  2007/06/26 17:31:52  qboosh
- merged subname/alt_kernel support from LINUX_2_6_16 branch

Revision 1.441.2.1732  2007/06/11 20:34:59  arekm
- up to 2.6.21.5

Revision 1.441.2.1731  2007/06/11 05:52:34  tommat
- now builds on sparc64

Revision 1.441.2.1730  2007/06/10 19:06:18  areq
- add linux-PF_RING.patch
  http://www.ntop.org/PF_RING.html

Revision 1.441.2.1729  2007/06/08 07:27:19  arekm
- up to 2.6.21.4

Revision 1.441.2.1728  2007/06/05 08:54:24  mguevara
- rel 1.3, grsec_full updated to grsecurity-2.1.10-2.6.21.3-200706042125

Revision 1.441.2.1727  2007/06/04 23:06:36  mguevara
- rel 1.2, grsec_full updated to grsecurity-2.1.10-2.6.21.3-200706041811

Revision 1.441.2.1726  2007/06/04 22:19:21  mguevara
- rel 1.1, grsec_full updated to grsecurity-2.1.10-2.6.21.3-200706041205

Revision 1.441.2.1725  2007/06/04 09:48:37  mguevara
- 2.6.21.3-1, status and todo update

Revision 1.441.2.1724  2007/06/04 01:21:43  mguevara
- rel 0.5, vs2.3 instead of vs2.2

Revision 1.441.2.1723  2007/06/04 00:43:21  mguevara
- rel 0.4, grsec_full and pax patches updated

Revision 1.441.2.1722  2007/05/30 11:56:20  mguevara
- netfilter related patches cleanup and merge
- new naming scheme applied

Revision 1.441.2.1721  2007/05/30 08:45:03  mguevara
- cosmetics, some cleanup and todo update

Revision 1.441.2.1720  2007/05/29 13:40:03  mguevara
- rel 0.3, suspend2 updated to 2.2.10

Revision 1.441.2.1719  2007/05/29 09:43:39  mguevara
- 0.2, routes patch300 updated, CONFIG_IP_ROUTE_MULTIPATH_CACHED disabled

Revision 1.441.2.1718  2007/05/27 23:31:17  zytek
- revert last change

Revision 1.441.2.1717  2007/05/27 23:17:22  zytek
- add /video in modules dir

Revision 1.441.2.1716  2007/05/25 00:27:38  mguevara
- 2.6.21.3-0.1

Revision 1.441.2.1715  2007/05/09 09:07:40  mguevara
- linux-2.6-grsec_full.patch updated to 200705071727 snapshot (pax related
  fix)

Revision 1.441.2.1714  2007/05/08 15:05:39  mguevara
- lzma for squashfs not yet ready

Revision 1.441.2.1713  2007/05/08 13:54:34  mguevara
- rel 0.5, status & todo update, added sqlzma2k-3.2-r2.patch (lzma for
  squashfs)

Revision 1.441.2.1712  2007/05/08 12:04:26  mguevara
- rel 0.4,  status and todo update, grsec_full, and pax patches updated
  configs updated

Revision 1.441.2.1711  2007/05/04 14:27:58  mguevara
- rel 0.3, status and todo update

Revision 1.441.2.1710  2007/05/04 06:50:28  mguevara
- rel 0.2, status & todo update, vs-2.2 applied in place of vs-2.3 (temp)

Revision 1.441.2.1709  2007/05/03 15:52:23  mguevara
- status and todo update, added linux-2.6.21.1-pwc-uncompress.patch and
  (as temporary solution) linux-2.6-vs2.2.patch
- netfilter related stuff updated for the changes in 2.6.21

Revision 1.441.2.1708  2007/05/01 22:27:47  mguevara
- status updated, some cleanup

Revision 1.441.2.1707  2007/05/01 22:22:27  mguevara
- work in progress, status update, removed patches:
  kernel-bcm43xx-combined_2.6.20.2.patch,  kernel-proxy-pda.patch,
  linux-2.6-gfs2_dlm-2.6.21.patch
- grsecurity patch name changed to more generic linux-2.6-grsec_full.patch

Revision 1.441.2.1706  2007/04/30 15:27:12  mguevara
- some cleanup for 2.6.21.1 - work in progress
- changed bootsplash patch name to more generic linux-2.6-bootsplash.patch
- removed ide_acpi bcond and linux-2.6-ide-acpi-support.patch

Revision 1.441.2.1705  2007/04/30 10:13:51  mguevara
- merge from LINUX_2_6_20 - before 2.6.21

Revision 1.441.2.1698.2.111  2007/04/25 23:10:59  mguevara
- squashfs3.2-patch (r2), pax-linux-2.6.20.patch and
  grsecurity-2.1.10-2.6.20.3.patch (pax-test15) updated, comments updated too

Revision 1.441.2.1698.2.110  2007/04/19 20:15:40  pluto
- drop uheaders bcond.

Revision 1.441.2.1698.2.109  2007/04/18 21:34:56  blues
- touch modules.dep unconditionally. It does nothing bad and gives at least
  empty modules.dep. Even if depmod fails.

Revision 1.441.2.1698.2.108  2007/04/17 10:15:51  mguevara
- dropped future todo items: acrypt officially closed, drivers will be
  moved to the new acync cryptoapi, pax ppc32 change - not needed

Revision 1.441.2.1698.2.107  2007/04/16 13:05:46  mguevara
- linux-2.6-suspend2.patch updated to suspend2-2.2.9.11
- linux-2.6-vs2.3.patch, grsecurity-2.1.10-2.6.20.3.patch and
  kernel-suspend2.config updated for the new suspend2

Revision 1.441.2.1698.2.106  2007/04/16 11:04:26  mguevara
- pax-linux-2.6.20.patch and grsecurity-2.1.10-2.6.20.3.patch updated to pax-linux-2.6.20.7-test13.patch changes

Revision 1.441.2.1698.2.105  2007/04/16 09:07:02  mguevara
- up to 2.6.20.7-1
- grsecurity-2.1.10-2.6.20.3.patch updated

Revision 1.441.2.1698.2.104  2007/04/15 18:15:56  zbyniu
- hack against warning in pax/grsec on alpha; status updated

Revision 1.441.2.1698.2.103  2007/04/12 19:35:52  zbyniu
- patch against warnings; status updated

Revision 1.441.2.1698.2.102  2007/04/11 14:27:12  mguevara
- cosmetics, status, comments and todo update
- pax-linux-2.6.20.patch updated to pax-linux-2.6.20.6-test13.patch
- grsecurity-2.1.10-2.6.20.3.patch updated to
  grsecurity-2.1.10-2.6.20.6-200704091818.patch by zbyniu

Revision 1.441.2.1698.2.101  2007/04/09 20:50:07  mguevara
- rel 2
- vserver updated to vs2.3.0.12: changes in linux-2.6-vs2.3.patch and
  grsecurity-2.1.10-2.6.20.3.patch, linux-2.6-vs2.3-quota.patch removed
  (changes included in 2.3.0.12)
- earlier fixes for nf_conntrack_mms.patch (just before rel 1)

Revision 1.441.2.1698.2.99  2007/04/06 15:36:42  zbyniu
- status updated; newest grsec snap

Revision 1.441.2.1698.2.98  2007/04/04 13:41:13  zbyniu
- gfs and dlm ported from 2.6.21rc5

Revision 1.441.2.1698.2.97  2007/04/03 20:50:05  mguevara
- status update - new vserver, grsecurity and pax patches are out

Revision 1.441.2.1698.2.96  2007/04/03 15:55:55  qboosh
- more

Revision 1.441.2.1698.2.95  2007/04/03 15:50:16  arekm
- turn off libc-headers generation by default

Revision 1.441.2.1698.2.94  2007/03/30 23:19:41  mguevara
- rel 2
- added nf_conntrack_mms.patch which provides conntrack and nat support for
  mms protocol, kernel-netfilter.config updated for the patch
- spec cosmetics - todo and status update

Revision 1.441.2.1698.2.93  2007/03/25 23:02:42  zbyniu
- linux-2.6-apparmor-caps.patch readded

Revision 1.441.2.1698.2.92  2007/03/25 22:30:38  arekm
- add apparmor (again; previously seen in pld 2.6.16)

Revision 1.441.2.1698.2.91  2007/03/24 04:28:46  zbyniu
- updated grsec_full

Revision 1.441.2.1698.2.90  2007/03/23 20:47:34  pluto
- updated to 2.6.20.4.

Revision 1.441.2.1698.2.89  2007/03/22 20:34:14  pluto
- release 1.

Revision 1.441.2.1698.2.88  2007/03/20 18:47:59  mguevara
- rel 0.7
- reiser4 bcond enabled (builds fine but needs testing)
- some status update
- in the mean time kernel-autoconf.h updated by pluto

Revision 1.441.2.1698.2.87  2007/03/19 23:17:27  mguevara
- commented out redundant ppc/ppc64 config (testing)

Revision 1.441.2.1698.2.86  2007/03/19 22:47:39  mguevara
- kernel-powerpc.config renamed to kernel-ppc64.config, powerpc arch stuff
  removed

Revision 1.441.2.1698.2.85  2007/03/19 15:35:21  mguevara
- rel 0.6
- new version of reiser4 patch - reiser4-for-2.6.19-3.patch

Revision 1.441.2.1698.2.84  2007/03/19 13:46:05  mguevara
- rel 0.5 - mainly for ppc64 test build
- added kernel-powerpc.config - wich is generated for powerpc target based
  on kernel-ppc.config - for ppc64 build
- added powerpc as supported arch
- removed linux-net-2.6.19.patch - no need for 2.6.19 network code

Revision 1.441.2.1698.2.83  2007/03/19 09:45:25  mguevara
- rel 0.4, pax-linux-2.6.20.patch updated to test9

Revision 1.441.2.1698.2.82  2007/03/16 11:29:10  pluto
- cleanups, release 0.3.

Revision 1.441.2.1698.2.81  2007/03/16 10:05:11  pluto
- merge up/smp kernel infrastructure. th will use only smp.

Revision 1.441.2.1698.2.80  2007/03/15 23:56:53  glen
- probably corrected

Revision 1.441.2.1698.2.79  2007/03/15 16:15:47  mguevara
- rel 0.2
- pax-linux-2.6.20.patch updated to test8

Revision 1.441.2.1698.2.78  2007/03/14 16:33:08  ankry
- sorted

Revision 1.441.2.1698.2.77  2007/03/14 12:18:32  glen
- test branch encoding

Revision 1.441.2.1698.2.76  2007/03/14 11:43:42  arekm
- introduce kernel-libc-headers which obsoletes linux-libc-headers; adapterized

Revision 1.441.2.1698.2.75  2007/03/13 23:32:06  mguevara
- 2.6.20.3-0.1
- updated linux-2.6-vs2.3.patch and kernel-bcm43xx-combined_2.6.20.2.patch
- removed ifarch from suspend2 patches in prep section
- some changes in todo section

Revision 1.441.2.1698.2.74  2007/03/13 16:44:38  sparky
- check specparser (fetchsec_request has problems with branches ?)

Revision 1.441.2.1698.2.73  2007/03/13 04:49:11  mguevara
- status and todo update

Revision 1.441.2.1698.2.72  2007/03/12 23:21:04  mguevara
- rel 0.5
- status update
- updated pax-linux-2.6.20.patch up to paxguy1's test7
- added CONFIG_NET_ACT_IPT=m to configs for alpha, alpha-smp, sparc,
  sparc-smp, sparc64 and sparc64-smp archs

Revision 1.441.2.1698.2.71  2007/03/12 21:55:24  mguevara
- suspend2 patches applied for alpha architecture

Revision 1.441.2.1698.2.70  2007/03/12 19:38:29  qrczak
- kernel-proxy-pda.patch: fixed compilation with gcc-4.1.2

Revision 1.441.2.1698.2.69  2007/03/12 15:15:49  mguevara
- kernel-pax.config updated - added disabled PAX_EMUSIGRT and PAX_EMUPLT
- updated PaXconfig - enables PAX_EMUSIGRT for 32-bit ppc and PAX_EMUPLT
  for 32-bit ppc, sparc, sparc64 and alpha architectures

Revision 1.441.2.1698.2.68  2007/03/12 14:35:02  mguevara
- rel 0.4
- status updated - successfull crossbuild for ppc architecture

Revision 1.441.2.1698.2.67  2007/03/12 08:53:27  mguevara
- rel 0.3
- updated kernel-i386.config and kernel-i386-smp.config
  (CONFIG_HEADERS_CHECK=y added)
- updated kernel-ppc.config and kernel-ppc-smp.config
  (CONFIG_HEADERS_CHECK=y removed)

Revision 1.441.2.1698.2.66  2007/03/11 23:42:57  mguevara
- added ppc to suspend2 supported architectures
- kernel-ppc.config and kernel-ppc-smp.config updated
- some status update

Revision 1.441.2.1698.2.65  2007/03/11 15:46:23  matkor
- Rel 0.2. Updated bcm43xx patch to recent version.

Revision 1.441.2.1698.2.64  2007/03/10 23:17:54  mguevara
- 2.6.20.2-0.1
- updated kernel-i386.config, kernel-i386-smp.config, kernel-x86_64.config,
  kernel-x86_64-smp.config, kernel-sparc.config, kernel-sparc-smp.config,
  kernel-sparc64.config, kernel-sparc64-smp.config, kernel-alpha.config,
  kernel-alpha-smp.config, kernel-ppc.config, kernel-ppc-smp.config,
  linux-2.6-vs2.3.patch, kernel-bcm43xx-2.6.20_combined.patch and
  pax-linux-2.6.20.patch

Revision 1.441.2.1698.2.63  2007/03/10 21:09:54  mguevara
- net-rndis smp-net-rndis files definitions moved to proper with up/smp sections

Revision 1.441.2.1698.2.62  2007/03/08 00:59:05  mguevara
- rel 0.14
- move drivers/usb/net/{cdc_ether,rndis_host,usbnet}.ko.* modules to
  separate kernel-net-rndis and kernel-smp-net-rndis subpackages for
  easy replacement by kernel-misc-usb-rndis-lite

Revision 1.441.2.1698.2.61  2007/03/07 09:50:35  mguevara
- pax-linux-2.6.20.patch updated to test6
- some desc fixes

Revision 1.441.2.1698.2.60  2007/03/06 15:09:04  mguevara
- rel 0.13

Revision 1.441.2.1698.2.59  2007/03/06 09:51:21  mguevara
- added (not yet ready) pax_selinux_hooks-2.6.20.patch
- some commented stuff for PAX_KERNEXEC testing

Revision 1.441.2.1698.2.58  2007/03/02 12:32:39  baggins
- apply quota fix

Revision 1.441.2.1698.2.57  2007/03/02 12:30:31  baggins
- fix quota on vroot devices for vserver

Revision 1.441.2.1698.2.56  2007/03/02 10:47:26  mguevara
- pax related config changes

Revision 1.441.2.1698.2.55  2007/03/02 01:26:14  mguevara
- changed grsec and pax stuff - testing pax-only build (with grsec_minimal)
- added kernel-grsec_minimal.config

Revision 1.441.2.1698.2.54  2007/02/28 00:11:25  mguevara
- rel 0.12
- started working with pax and grsecurity patches

Revision 1.441.2.1698.2.53  2007/02/27 00:27:02  mguevara
- rel 0.11
- new version of linux-2.6-vs2.3.patch based on vs2.3.0.11

Revision 1.441.2.1698.2.52  2007/02/26 22:49:16  mguevara
- rel 0.10
- added "CONFIG_PROC_KCORE is not set" to kernel-x86_64-smp.config and
  kernel-x86_64.config for building without grsecurity

Revision 1.441.2.1698.2.51  2007/02/26 11:31:31  mguevara
- rel 0.9, bcond wrr enabled by default

Revision 1.441.2.1698.2.50  2007/02/26 09:58:56  mguevara
- rel 0.8
- added wrr support (currently in bcond): wrr-linux-051111-2.6.20.patch
  and kernel-wrr.config
- some kernel-netfilter.config cleaning (imq related)

Revision 1.441.2.1698.2.49  2007/02/25 23:34:01  mguevara
- rel 0.7
- updated configs for sparc, sparc64 and alpha archs:
  kernel-sparc-smp.config, kernel-sparc.config, kernel-sparc64-smp.config,
  kernel-sparc64.config, kernel-alpha-smp.config and kernel-alpha.config

Revision 1.441.2.1698.2.48  2007/02/25 22:22:10  mguevara
- rel 0.6
- generated new configs for ppc: kernel-ppc-smp.config and kernel-ppc.config

Revision 1.441.2.1698.2.47  2007/02/23 10:31:28  mguevara
- rel 0.5
- more changes in kernel-x86_64.config and kernel-x86_64-smp.config by pluto
  (enabled numa and memory hotplug on smp and disabled stack protector)

Revision 1.441.2.1698.2.46  2007/02/23 10:17:00  mguevara
- rel 0.4
- kernel-x86_64.config and kernel-x86_64-smp.config updated by pluto
  (CONFIG_BCM43XX_DEBUG=y enabled)
- some cosmetic changes - basever near rel

Revision 1.441.2.1698.2.45  2007/02/23 09:33:37  mguevara
- rel 0.3, kernel-imq.config updated (activated CONFIG_IMQ_BEHAVIOR_AB=y)

Revision 1.441.2.1698.2.44  2007/02/21 16:46:05  mguevara
- rel 0.2
- kernel-x86_64.config and kernel-x86_64-smp.config updated
- status update

Revision 1.441.2.1698.2.43  2007/02/20 10:23:22  mguevara
- up to 2.6.20.1-0.1, status update

Revision 1.441.2.1698.2.42  2007/02/19 23:02:08  mguevara
- rel 0.14
- pom-ng-set-20061213.patch and reiser4-for-2.6.19-2.patch updated
  (kmem_cache_t -> struct kmem_cache)

Revision 1.441.2.1698.2.41  2007/02/19 00:29:53  mguevara
- rel 0.13
- new version of linux-2.6-vs2.3.patch based on 2.3.0.10.1
- linux-2.6-grsec-minimal.patch updated by adamg
- kernel-small_fixes.patch updated by charles

Revision 1.441.2.1698.2.40  2007/02/17 01:17:56  mguevara
- rel 0.12, fixed TARPIT and ROUTE for smp, status update

Revision 1.441.2.1698.2.39  2007/02/16 22:52:25  mguevara
- some layer7 fixes/nf_conntrack port

Revision 1.441.2.1698.2.38  2007/02/16 11:12:16  glen
- typo

Revision 1.441.2.1698.2.37  2007/02/16 10:51:34  mguevara
- rel 0.11, status update

Revision 1.441.2.1698.2.36  2007/02/14 10:39:32  mguevara
- rel 0.10, test build of reiser4

Revision 1.441.2.1698.2.35  2007/02/13 07:05:35  mguevara
- rel 0.9, test build of the new bootsplash

Revision 1.441.2.1698.2.34  2007/02/12 23:51:24  mguevara
- rel 0.8, new versions of bootsplash, fbsplash and reiser4

Revision 1.441.2.1698.2.33  2007/02/12 23:20:04  mguevara
- some cleanup, abi uncommented but not updated, some new patches to test

Revision 1.441.2.1698.2.32  2007/02/12 14:06:26  qrczak
- Spec converted to UTF-8.

Revision 1.441.2.1698.2.31  2007/02/12 11:34:44  mguevara
- rel 0.7, vserver back to 2.3 line - 2.3.0.9 (testing)

Revision 1.441.2.1698.2.30  2007/02/10 20:54:46  mguevara
- rel 0.6, new version of suspend2 patch (2.2.9.7)

Revision 1.441.2.1698.2.29  2007/02/09 14:42:33  arekm
- move /lib/modules/*/build symlink to proper package

Revision 1.441.2.1698.2.28  2007/02/09 00:15:24  mguevara
- status update, vserver (2.2.0pre3) looks good

Revision 1.441.2.1698.2.27  2007/02/08 22:29:36  mguevara
- rel 0.5, status update, new snap of vserver

Revision 1.441.2.1698.2.26  2007/02/08 22:01:38  mguevara
- typos

Revision 1.441.2.1698.2.25  2007/02/08 00:22:29  mguevara
- new vserver patch (based on vs2.2.0pre1 instead of vs2.3.0.6)

Revision 1.441.2.1698.2.24  2007/02/06 15:29:18  mguevara
- rel 0.4, status update

Revision 1.441.2.1698.2.23  2007/02/06 09:35:02  mguevara
- rel 0.3, testing connlimit and 300Hz tick, some status update

Revision 1.441.2.1698.2.22  2007/02/05 17:18:46  matkor
- bcm43xx fixes which did not make for 2.6.20 added. Work for me. Scheduled to 2.6.20.1/2.6.21.

Revision 1.441.2.1698.2.21  2007/02/05 08:25:08  mguevara
- 2.6.20

Revision 1.441.2.1698.2.20  2007/02/04 10:14:34  pluto
- remove dead old_netfilter bcond.

Revision 1.441.2.1698.2.19  2007/02/01 22:54:12  mguevara
- todo update - not to forget about broken (and disabled) connlimit

Revision 1.441.2.1698.2.18  2007/02/01 22:49:51  mguevara
- move to 2.6.20-rc7 _rel 0.1

Revision 1.441.2.1698.2.17  2007/01/31 23:15:21  mguevara
- vserver bcond changed to on
- some status update

Revision 1.441.2.1698.2.16  2007/01/31 20:59:26  mguevara
- _rel 0.3, added patch2100 for paravirt_ops symbol exporting
- vserver builds but not tested yet.

Revision 1.441.2.1698.2.15  2007/01/31 11:16:15  mguevara
- _rel 0.2, status and todo update

Revision 1.441.2.1698.2.14  2007/01/31 06:43:36  mguevara
- ocfs2 fix from lkml/git tree

Revision 1.441.2.1698.2.13  2007/01/30 23:35:34  mguevara
- up to 2.6.20-rc6 _rel 0.1

Revision 1.441.2.1698.2.12  2007/01/25 07:53:04  pluto
- fix smp only build.

Revision 1.441.2.1698.2.11  2007/01/15 00:21:27  mguevara
- _rel 0.2

Revision 1.441.2.1698.2.10  2007/01/14 23:53:14  mguevara
- some cleanup and status update

Revision 1.441.2.1698.2.9  2007/01/14 21:09:19  mguevara
- kvm fix from LKML - p2010: linux-2.6.20-rc5-profile_hits.patch

Revision 1.441.2.1698.2.8  2007/01/14 18:26:35  mguevara
- include/linux/compile.h target is gone from the main Makefile

Revision 1.441.2.1698.2.7  2007/01/14 18:02:25  mguevara
- rc5 update

Revision 1.441.2.1698.2.6  2007/01/13 22:17:50  mguevara
- _rel 0.6
- new vesafb-tng-1.0-rc2-2.6.20-rc2.patch vesafb_tng patch
  builds ok --with vesafb_tng bcond

Revision 1.441.2.1698.2.5  2007/01/12 16:30:13  mguevara
- suspend2 bcond enabled - builds ok
- status update

Revision 1.441.2.1698.2.4  2007/01/12 10:37:43  mguevara
- _rel 0.5
- new suspend2-2.2.9.3-for-2.6.20-rc4.patch patch
- fixed usage of suspend2 bcond

Revision 1.441.2.1698.2.3  2007/01/10 23:52:19  mguevara
- _rel 0.4
- enabled regparm bcond by default - but this can change due to blob modules
  compatibility
- some status & todo update

Revision 1.441.2.1698.2.2  2007/01/10 01:38:00  mguevara
- rel 0.3 or 2.6.20-0.rc4.0.3
- adds linux-2.6.20_i386_regparm_off.patch for compatibility with some HAL
  binary modules (madwifi-ng)
- fixes in headers and module-build
- some cleanup and status update

Revision 1.441.2.1698.2.1  2007/01/08 15:28:22  mguevara
- 2.6.20-rc4 work in progress

Revision 1.441.2.1698  2007/01/02 15:27:29  baggins
- grsec_minimal updated

Revision 1.441.2.1697  2007/01/02 14:17:58  baggins
- vserver patch up to 2.3.0.6

Revision 1.441.2.1696  2006/12/31 18:06:40  mguevara
- rel 0.5 - imq bcond is on by default

Revision 1.441.2.1695  2006/12/22 01:35:19  mguevara
- rel 0.4 - imq stuff added - bcond imq

Revision 1.441.2.1694  2006/12/19 20:22:38  mguevara
- rel 0.3

Revision 1.441.2.1693  2006/12/19 20:12:03  mguevara
- netfilter pom-ng stuff should be ok

Revision 1.441.2.1692  2006/12/19 18:36:22  mguevara
- fix: utsrelease.h smp removal

Revision 1.441.2.1691  2006/12/18 23:13:13  glen
- skip stripping sourcedir

Revision 1.441.2.1690  2006/12/18 14:20:40  mguevara
- 2.6.19.1-0.2
- builds --with pax on i686

Revision 1.441.2.1689  2006/12/16 01:49:55  mguevara
- new grsecurity patch
- builds --without grsecurity on i686

Revision 1.441.2.1688  2006/12/15 19:22:38  glen
- that mv was ok, pwd is $RPM_BUILD_ROOT

Revision 1.441.2.1687  2006/12/15 19:17:50  glen
- more

Revision 1.441.2.1686  2006/12/15 19:14:56  glen
- let %install be re-entrant

Revision 1.441.2.1685  2006/12/15 19:13:58  glen
- - use macros for same location to be able to merge different kernel specs

Revision 1.441.2.1684  2006/12/15 12:25:19  mguevara
- todo update - most pom-ng and sk98lin patches needs api level changes
  layer7, ipp2p should be ready, set and geoip should be ready out of the
  box

Revision 1.441.2.1683  2006/12/15 02:20:38  mguevara
- layer7 fix for 2.6.19 api (patch48 & patch49) - should be merged btw

Revision 1.441.2.1682  2006/12/15 00:12:21  mguevara
- todo update

Revision 1.441.2.1681  2006/12/15 00:03:42  mguevara
- commented source10 - see comment on revision 1.441.2.1666 - patch 69
- added patch72 kernel-2.6-ueagle-atm-freezer.patch
- added patch81 linux-2.6.19-atiixp-legacy.patch

Revision 1.441.2.1680  2006/12/14 18:31:56  czarny
- fbsplash up to 0.9.2-r5-2.6.19-rc2

Revision 1.441.2.1679  2006/12/14 15:48:14  mguevara
- cleanup

Revision 1.441.2.1678  2006/12/14 14:52:49  mguevara
- netfilter with pom-ng and layer7 builds, but needs updated pom patches
- removed not ready pom-ng patches: quake3-conntrack-nat, rpc,
  rtsp-conntrack, talk-conntrack-nat

Revision 1.441.2.1677  2006/12/14 13:24:24  mguevara
- 2.6.19 work in progress - not yet ready
- netfilter p-o-m-ng update - 20061213 updated pom-ng patches 10-44
- patch49 kernel-2.6.18-layer7-2.7.patch added

Revision 1.441.2.1676  2006/12/14 12:21:47  glen
- hardlink over copy speedup from kernel.spec

Revision 1.441.2.1675  2006/12/13 23:36:30  mguevara
- todo update

Revision 1.441.2.1674  2006/12/13 23:15:23  mguevara
- 2.6.19 work in progress - not yet ready
- todo changed
- reiser4 bcond added (default off)
- patch5 vesafb-tng-1.0-rc2-2.6.19-rc2.patch added (applies but not tested,
  bcond off by default)
- patch51 reiser4-for-2.6.19.patch added

Revision 1.441.2.1673  2006/12/12 15:56:36  mguevara
- updated todo
- patch2001 kernel-drm_pciids-via.patch removed - id already in 2.6.19

Revision 1.441.2.1672  2006/12/12 15:02:16  mguevara
- todo update (see which patches need update)
- pax bcond introduced (default off)
- ide_acpi bcond introduced (default on)
- pax related config files added
- patch75 linux-2.6.17-ide-acpi-support.patch added
- patch80 linux-2.6.19-cx88-tvaudio.patch added
- patch85 hostap-kernel-2.6.18.patch added
- package desc update - PaX related
- PaXconfig function tunes up per architecture PaX config options

Revision 1.441.2.1671  2006/12/11 22:47:50  mguevara
- 2.6.19.1 update, not ready yet btw.

Revision 1.441.2.1670  2006/12/10 23:36:12  mguevara
- todo updated

Revision 1.441.2.1669  2006/12/09 10:25:29  zbyniu
- ups, kernel-bcm43xx-patch_2.6.18.1_for_PCI-E.patch not all in sources

Revision 1.441.2.1668  2006/12/09 01:53:55  zbyniu
- removed obsoleted patches

Revision 1.441.2.1667  2006/12/09 00:11:06  mguevara
- todo update, p72 (linux-2.6-suspend2-off.patch) not needed

Revision 1.441.2.1666  2006/12/08 23:00:42  mguevara
- change in suspend2 patch structure (single patch instead of tar.bz2)
  so we use patch69 instead source10

Revision 1.441.2.1665  2006/12/08 22:33:42  mguevara
- massive 2.6.19 todo
- patch1 updated but we could test the alternative one and test 2057x-based
  promise support

Revision 1.441.2.1664  2006/12/04 21:22:08  blues
- added routes patch

Revision 1.441.2.1663  2006/11/29 23:26:35  arekm
- start playing with 2.6.19; 2.6.18 on LINUX_2_6_18

Revision 1.441.2.1662  2006/11/25 20:20:05  siefca
- added Wake-On-Lan patch for nVidia forcedeth ethernet driver

Revision 1.441.2.1661  2006/11/20 13:20:36  baggins
- 2.6.18.3

Revision 1.441.2.1660  2006/11/17 13:20:06  cieciwa
- next fix (?)

Revision 1.441.2.1659  2006/11/17 13:11:32  cieciwa
- fixed %install.

Revision 1.441.2.1658  2006/11/13 15:53:03  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.441.2.1657  2006/11/13 11:26:01  czarny
- few little things, that helped me build this kernel (as I need 2.6.18 for drivers of my new PC)

Revision 1.441.2.1656  2006/11/05 23:01:55  glen
- don't blame df for missing sources

Revision 1.441.2.1655  2006/11/05 13:51:25  glen
- leave cleanup as very last in %prep

Revision 1.441.2.1654  2006/11/05 12:47:21  blues
- removed, doesn't work

Revision 1.441.2.1653  2006/11/05 12:07:44  blues
- lets try to move config preparing to setup

Revision 1.441.2.1652  2006/11/05 10:54:21  blues
- started update to 2.6.18.2 - ti_sd patch added

Revision 1.441.2.1651  2006/10/29 23:18:58  glen
- diffutils is required by rpm-build

Revision 1.441.2.1650  2006/10/29 23:13:39  glen
- pass %{__cc} in crossopts
- use rpm macros for crossopts and depmod

Revision 1.441.2.1649  2006/10/29 23:09:21  glen
- provide kernel-module-build %{_basever} for external module building

Revision 1.441.2.1648  2006/10/19 05:14:06  matkor
- Release 4. One more bcm43xx fix.

Revision 1.441.2.1647  2006/10/18 16:08:03  baggins
- reenabled vserver (updated to vs2.1.1-rc41)

Revision 1.441.2.1646  2006/10/15 22:36:49  matkor
- Version 2.6.18.1-3. Added support for PCIe versions of bcm43xx cards.

Revision 1.441.2.1645  2006/10/15 13:05:30  paszczus
- some cleanups

Revision 1.441.2.1644  2006/10/15 02:20:48  matkor
- Version 2.6.18.1-2. Fixed my error in version representation.

Revision 1.441.2.1643  2006/10/14 22:55:49  matkor
- 2.6.18.1-1.
- Commented rejecting patches (vs2).
- Builds --without grsecurity (grsecurity rejects also)

Revision 1.441.2.1642  2006/10/10 15:46:18  witekfl
- added drm_pciids-via.patch

Revision 1.441.2.1641  2006/10/09 11:10:22  hawk
- official grsecurity for 2.6.18
- release 3

Revision 1.441.2.1640  2006/10/07 15:11:52  hawk
- smp kernel does compile on sparc32, at least on our builder

Revision 1.441.2.1639  2006/10/07 12:16:20  baggins
- fix suspend2 source

Revision 1.441.2.1638  2006/09/29 14:14:09  zbyniu
- linux-2.6-vs2.1-suspend2.patch only if supported arch

Revision 1.441.2.1637  2006/09/29 09:38:58  cieciwa
- s/ifnarch/ifarch/ for suspend2.

Revision 1.441.2.1636  2006/09/29 08:34:03  zbyniu
- rpm macros need utsrelease.h for external modules; rel 2

Revision 1.441.2.1635  2006/09/28 15:56:46  zbyniu
- grsec_minimal re-enabled

Revision 1.441.2.1634  2006/09/27 19:14:56  zbyniu
- grsec_full is ready

Revision 1.441.2.1633  2006/09/26 22:37:00  wolvverine
- Patch for toshiba laptops

Revision 1.441.2.1632  2006/09/25 23:27:47  baggins
- vserver updated to 2.6.18-vs2.1.1-rc35-t1

Revision 1.441.2.1631  2006/09/25 06:43:00  cieciwa
- removed future update of netfilter.

Revision 1.441.2.1630  2006/09/22 15:20:39  baggins
- reenabled sk98 driver (fixed patch)

Revision 1.441.2.1629  2006/09/22 09:46:18  cieciwa
- OFF sk98lin patch - brooken.

Revision 1.441.2.1628  2006/09/22 09:33:52  cieciwa
- updated netfilter from 2.6.19.

Revision 1.441.2.1627  2006/09/21 14:23:53  paszczus
- updated PPC configs
- disabled suspend on PPC (build fails for now)

Revision 1.441.2.1626  2006/09/20 22:56:17  glen
- english added

Revision 1.441.2.1625  2006/09/20 17:07:09  baggins
- commented out one of vservers patches for now

Revision 1.441.2.1624  2006/09/20 17:01:03  baggins
- sk98lin driver updated
- TODO updated

Revision 1.441.2.1623  2006/09/20 16:42:24  baggins
- more patches updated

Revision 1.441.2.1622  2006/09/20 15:32:51  baggins
- more patches updated/removed

Revision 1.441.2.1621  2006/09/20 15:03:14  baggins
- removed obsolete patches
- uncommented some working/needed patches

Revision 1.441.2.1620  2006/09/20 11:49:59  baggins
- suspend2 updated to 2.2.8 for 2.6.18 and enabled

Revision 1.441.2.1619  2006/09/20 11:38:49  cieciwa
- removed inexisted sound module.

Revision 1.441.2.1618  2006/09/20 07:03:42  cieciwa
- applied netfiler modules.

Revision 1.441.2.1617  2006/09/18 12:06:07  baggins
- suspend2 2.2.7.6 for 2.6.18-rc7

Revision 1.441.2.1616  2006/09/18 09:38:26  glen
- correct md5

Revision 1.441.2.1615  2006/09/18 09:35:46  glen
- hey! don't nap!

Revision 1.441.2.1614  2006/09/18 09:27:15  cieciwa
- updated to version 2.6.18-rc7,
- _rel 0.0,
- commented all patches, exepts tahoe and squashfs,
- cutting Changelog.
